phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-13

    Add as-needed to LDFLAGS
    
    * Requirement in debian's social contract to include the as-needed flag in
      linker flags

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-13

    No need for binary to depend on id3tag
    
    * Only the mp3 filetype plugin needs to depend on id3tag

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-08

    Update translation information

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-08

    Update release information
    
      * Bugs fixed between 2.0.1 beta1 and 2.0.1 rc1

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-08

    Make generator changelog script more convenient to run

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-07

    Removal of libglade requires addition of libxml2
    
    * libxml2 is implied in distros like mandriva but not in fedora.
    
    * Removal of libglade highlights requirement of libxml2

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-06

    Remove display_search_bar function from track_dsiplay header

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-07

    Migrate gdk_drawable_get_size
    
    * For gtk libraries 2.24 and later use gdk_drawable_get_width and height

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-07

    Remove pointless search bar code
    
    * Since windowing, it seems pointless to have a preference to show or hide
      the searchbar, especially since most people will want to see it.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-07

    Remove libgade from configure

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-07

    Migrate combo boxes to remove deprecated code
    
    * configure dictates that compile should fail upon use of deprecated functions
      so migrate deprecated combo box code to make it compatible.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-02

    Correction to formatting strings in gtkpod_log_error
    
    * Thanks to Götzg (goetz.waschk AT gmail.com) for the patch

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-01

    Repository creator wizard showing all widgets
    
    * Should only display those widgets dependent upon the value of the
      repository type, ie. local or ipod

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-01

    Update release information
    
    * Move from 2.0.0 to 2.0.1

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-01

    Try and improve mp4/m4a support for distros not using libmp4v2 1.9.1

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-05-01

    Stop segfault when trying to play files with no gsteamer plugins
    
    * If gstreamer plugins have not been installed then it is possible to
      segfault application as the gstreamer factory fails to create a play
      element

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-29

    Shutdown section incorrectly copied from anjuta source
    
    * Seems that use of the data object "__propery_shutdown" is only used for
      debugging purposes and therefore is not required in production application
    
    * Not calling unload_all_plugins means that setting the profile sync file to
      null is an unnecessary workaround

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-22

    Tidy up some autotools issues
    
    * The library does not need to depend on all the optional libraries; only
      the plugins need to do that.
    
    * configure.ac
     * Additional libraries should only be made available and not added to the
       libraries list of dependencies
    
    * cover_display
     * Should depend on curl
    
    * details_editor
     * Should depend on curl
    
    * filetype_flac
     * Should depend on flac
    
    * filetype_ogg
     * Should depend on vorbisfile
    
    * media_player
     * Should depend on gstreamer
    
    * plugins.mk
     * Should append CFLAGS not LIBS

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-21

    Incorrect library for ogg vorbis files
    
    * Need libvorbisfile not just libvorbis

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-21

    Replace gtkpod_warnings causing threading errors
    
    * copy_file riddled with warnings and potentially producing lots of dialog
      boxes. Pass it a GError and display the errors at the end of the operation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-21

    Move and rename filetype_log_error to gtkpod_log_error
    
    * Allow function to be used more widely in the application

scorpion <scorpion@falcon15.BIRDS-OF-PREY>	2011-04-17

    dispose the initialised directories when quitting

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-21

    Remove superfluous glade includes

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-04-21

    Migrate flac, id3tag and ogg to use pkgconfig files
    
    * These libraries all bring pc files with them so unless there is a good
      reason, it seems more portable to use them rather than search the libraries
      for header functions.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-27

    Update to po files pre-release

Daniele Forsi <daniele@forsi.it>	2011-03-26

    Update Italian translation

Daniele Forsi <daniele@forsi.it>	2011-03-26

    String fixes
    
    * libgtkpod/file.c
     * Make error string translatable
    
    * plugins/filetype_mp4/mp4file.c
     * Fix typos

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-22

    Updates for Czech translations
    
    * Taken from transiflex, with thanks to supp

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-20

    Update the plugin makefiles to publish their libgtkpod dependency
    
    * Appears that libgtkpod was not advertised as a needed dependency on the
      plugin libraries

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-17

    Stop infinite display of warning dialog in coverter
    
    * If an error occurs in the converter, an error dialog is displayed in the
      function conversion_scheduler_unlocked. Since this mehtod is called
      repeatedly every 100ms, then gtkpod will soon run out of resources and
      crash.
    
    * Addition of error page on conversion log window. If an error occurs then
      append the error to the error page and force the display of the log
      window.
    
    * Record the last error displayed so as not to infinitely repeat text down
      the error log screen.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-15

    Fix save if needed to always save on threshold
    
    * file.c
     * Init a signal that is fired upon the addition of a track
     * The callback added one to a count for the track's itdb.
     * When the count reaches the threshold, the itdb is saved.
     * This is a single point of saving and will always be fired upon track
       addition regardless of how the track was added, eg. by directory, playlist
    
    * Removal of all locations where save is called upon reaching threshold as
      no longer necessary

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-13

    Revert "trial attempt at converting itdb"
    
    Not yet ready to push.
    
    This reverts commit 1968080128bbc4ded4fe8f31ae420b3b42a5e578.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-13

    trial attempt at converting itdb

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-13

    Avoid possible syntax crash
    
    * If %s contains another % then this may cause a crash when forming
      a gtkpod_warning

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-13

    Refactor filetype getter functions to return GErrors
    
    * Rather than display double warning dialogs, have the getter functions
      populate a GError which is returned to the caller functions. The latter
      use the message in the GError for augment a more general error message.
    
    * Filetype plugins updated to populate the GError.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-09

    m4a plugin not initialising mp4 library handle
    
    * m4a relies on the mp4v2 library for all its functions. This is initialised
      using mp4_init to get a handle to the mp4v2 dynamic library
    
    * also ensure the handle is disposed when deactivating plugin
    
    * this is a mirror of the mp filetype library

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-06

    Add extra action to load a selected ipod
    
    * With more than one iPod, it is annoying to click load iPods only to find
      that all iPods try to be loaded rather than just the selected one.
    
    * Load iPod toolbar button modified to have a drop down that includes a
      "load selected ipod" menuitem as well as the "load all ipods".
    
    * Default of the button is still to load all ipods as most users will have
      just the one iPod

Javier Kohen <jkohen@users.sourceforge.net>	2011-03-08

    Increased default value for file_saving_threshold.

Javier Kohen <jkohen@users.sourceforge.net>	2011-03-07

    Use more appropriate values for the number of tracks GtkAdjustment.

Javier Kohen <jkohen@users.sourceforge.net>	2011-03-07

    Revert "Changed auto-save gating to use time based intervals."
    
    This reverts commit e98b100c7658bf62901e0658339f3344cf0bf9fc.
    
    Conflicts:
    
libgtkpod/file.c           

Javier Kohen <jkohen@users.sourceforge.net>	2011-03-07

    Revert "Don't track count of saved files anymore."
    
    This reverts commit 63c1dab53811675bf084d1b9194987d35b204c53.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-05

    Small fixes to coverart display
    
    * cover_display.xml
     * update_policy changed to discontinuous which will only update the cover
       display once the user releases the drag of the slider
    
    * display_coverart.c
     * redraw on changing the sort order
     * fix the slider value when select_cover is called as inaccurate by the
       4 nulls prepended to the album_key_list

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-02

    Auto generate ChangeLog. Update news
    
    * Enters quick paragraph in NEWS
    
    * generate-ChangeLog.sh
     * Auto generate the ChangeLog file from the git log
     * hooked into make dist to auto-gen when creating dist tarballs

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-03-02

    Clear up error message dialogs that occur during itdb import
    
    * Plethora of error messages that can pop up when importing an itdb.
      Instead of displaying them all in dialogs or in the status bar, gather
      them all up and display one dialog at the end of the operation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-28

    Allow different names for gtkpod directory
    
    * Releases and betas can have the version number appended to the root gtkpod
      directory. This breaks the code for setting local versions of the config
      directories.
    
    * Replaces straight string equality testing with regular expression partern
      matching to allow for names such as gtkpod-2.0.0

Javier Kohen <jkohen@users.sourceforge.net>	2011-02-28

    Don't track count of saved files anymore.

Javier Kohen <jkohen@users.sourceforge.net>	2011-02-28

    Add a separate GtkAdjustment for the save threshold spin button.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-27

    Reverse commit that loaded embedded artwork
    
    * This function is far too slow for importing artwork from ipods and actually
      completely pointless since ipods get their artwork from the artwork db
      rather than reading it from the tracks.
    
    * The bug for not reloading embedded artwork for local itdbs will become an
      issue again but requires greater work for resolution.
    
    * gp_itdb.c
     * autodetection of ipods should only occur after all itdbs have been loaded
       and all plugins initialised.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-26

    COPYING and AUTHORS not being symlinked
    
    * Shortcuts for files not being created for dev purposes

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-26

    Update po files from transifex.net
    
    * Added the latest changes gleaned from transifex.net
    
    * Added new language files for Czech, Dutch and Brazilian Portuguese

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-26

    Update of po files using make update-po

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-22

    Fix embedded artwork not being loaded
    
    * Embedded artwork is initially detected and displayed. However, on quitting
      and restarting the artwork is no longer displayed.
    
    * Embedded artwork is only read by the individual filetypes, specifically
      mp3. This file info is never read on startup of the application.
    
    * file_itunesdb.c
     * Add an extra clause to get the track info using the filetypes.
    
    * file.[ch]
     * Make the get_track_info_from_file function available
    
    * gp_init.[ch]
    * gtkpod.c
     * In order to use get_track_info_from_file at startup, all the plugins
       have to be loaded BEFORE it gets called.
     * gp_init is responsible for importing all the itdbs so this needs to be
       split so that all the important bits n pieces are initialised but the
       itbbs are loaded later.
     * gp_init_itdbs is called after all the plugins have been loaded so all
       the itdbs are still fully initialised by the time the gui is displayed

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Migrate gtkpod.glade to gtkbuilder
    
    * gtkpod.glade renamed to core-gtkpod.xml
    
    * Removes all remaining active uses of GladeXML from the codebase including
      GladeXML functions

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Small changes
    
    * file.c
     * Remove debug statement
    
    * plugin.c
    * rb_cell_renderer_rating.c
     * Remove unused variables
    
    * display_coverart.c
     * Remove commented code
    
    * prefs.c
     * HOWTO is redundant and no longer applicable

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Move spl_window from core glade to display playlist plugin
    
    * spl_window only used by display_playlist actions so should be in that
      plugin.
    
    * gp_spl.[ch]
     * spl_window related functions only used by spl_window
    
    * misc_playlist[ch]
     * add_new_pl_or_spl_user_name only used by display_playlists plugin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Migrate photo editor glade to gtkbuilder

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Migrate repository editor glade to gtkbuilder

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-21

    Fix for crash when deleting a repository
    
    * Freeing the dead itdbs too early creates a segfault in the playlist and
      repository combobox images.
    
    * Re init the comboboxes then free the dead itdbs

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-20

    Migrate media player glade to gtkbuilder

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-17

    Migrate playlist display glade to gtkbuilder

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-17

    Migrate track display glade to gtkbuilder

Javier Kohen <jkohen@users.sourceforge.net>	2011-02-16

    Changed auto-save gating to use time based intervals.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-15

    Memory leak fixes
    
    * misc_playlist.c
     * msg not being displayed to user and not being freed
    
    * mp4file.c
     * free netitle and title
    
    * Thanks for Daniel Forsi for spotting leaks

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-15

    Made some improvements to exporter plugin
    
    * Thanks to Chris Jenkins for finding the bug, initial debugging and patch
    
    * misc.[ch]
     * get_string_from_template now has GError as parameter to capture errors
    
    * file_export.c
     * Both export to filesystem and playlist now have an idle callback so that
       the file choosers can be closed before displaying any error windows
     * Filechooser removed from fcd struct as a consequence and replaced with a
       filename string instead.
     * GString for errors added to fcd to store errors messages as the export is
       proceeding. This replaces warning dialog that keep popping up for each
       track error / failure.
     * All errors reported at end of export run in confirmation dialog
     * Progress bar widgets replaced with anjuta framework progress bar
    
    * gp_private.[ch]
     * Constructs for gtkpod specific errors

Javier Kohen <jkohen@users.sourceforge.net>	2011-02-15

    Removed symlinks hard-coded to one contributor's local file system (they're recreated by make).

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-13

    Stop race condition between conversions and save
    
    * file_itunesdb.c
     * Changing the meaning of to_convert_num meant that the transfer loop is
       being exited too quickly hence tracks have not yet received their ipod
       path and this causes a crash when trying to save the track in the shuffle
       database.
     * Fix is to get the transfer loop to wait on the converting_num var as well

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-13

    Migrates sorttab filtering from glade to gtkbuilder

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-13

    Replace details editor glade file with gtkbuilder xml

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-13

    Fix how coverart display shows details editor
    
    * cover_display_context_menu
     * display_track_artwork and edit_track_details were dependant on
       gtkpod_selected_tracks which is not appropriate.
     * Modify menu actions to use cover MAIN_IMG
    
    * display_coverart
     * Change printf to g_warning

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-12

    Stop the details editor from enable undo button
    
    * Arbitrary reasons why navigating tracks in details editor leads to
      the undo buttons being enabled and the editor thinking something has been
      changed.
    
    * misc_conversion.c
     * Slightly odd formatting means wrong value being returned in get_time()
    
    * misc_track.c
     * Inaccuracies converting text into numbers means check for sameness are
       not good enough. So changed around to convert original number to text
       and hence compare text with text
    
    * details.c
     * Disable the lyrics text view if the read_lyrics functions return an
       error string

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-11

    Create preference for file save threshold
    
    * A hardcoded "10 tracks to save after" has been modified to a preference
    
    * Possible for user to change it up to 100.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-10

    Convert cover display glade file to gtkbuilder xml

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-10

    Minor fixes while playing with coverart display
    
    * file.c
     * Avoid displaying g_return fail error if path cannot be found when trying
       to read lyrics
    
    * details.c
     * Seems the g_threads_enter / exit are causing deadlocks. Removed for the
       moment

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-09

    Replacement of coverweb.glade with coverweb.xml in po configuration
    
    * Not currently updated po files.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-09

    Migrate coverweb glade to gtkbuilder xml

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-09

    Framework functions for gtk builder
    
    * misc.c
    * misc.h
     * Provide same functionality as original gtkpod glade versions
    
    * file_export.c
     * Modify to use new framework functions

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-07

    Tidy up m4a filetype plugin enablement
    
    * configure.ac
     * m4a plugin enablement depends on both mp4 library and faad

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-02-06

    Tidy up and fix the converter
    
    * Fixes perceived deadlock when saving files that need converting.
      Conversion scheduler being killed by a return value of FALSE. My mistake!!
    
    * file_convert.c
     * Collect up all lock/unlock calls into 2 functions so easier to debug
     * When trying the mutex in converter_scheduler, avoid returning FALSE since
       this kills the timeout function, which in turn leaves the saving in an
       infinite loop as the converted tracks cannot be moved into the finished
       list.
    
    * file_itunesdb.c
     * Improve the status messages
    
    * core_prefs.c
    * gtkpod.glade
     * Get the conversion log to display if converting
    
    * playlist_display_action.c
    * file.c
     * Improve the incremental saving routines when adding files

Daniele Forsi <daniele@forsi.it>	2011-01-30

    Fix typo
    
    * configure.ac
     * Fix typo.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-30

    Fix some conversion issues
    
    * configure.ac
    * *m4a/Makefile.am
     * Check for faad dependency, warn if not installed
     * Only if faad installed is m4a file type plugin available
    
    * prefs
     * Fix the preferences path_conv_* in order to work more sanely.
     * mp3, m4a and mp4 paths are maintained and other checks made to determine
       whether files will be converted by them or not.
    
    * scripts/*
     * Improve logging so that a consistent log file is generated in the
       conversion cache
    
    * file_itunesdb.c
     * Ensure that extra status messages are still displayed while progress
       is ongoing.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-30

    Make plugins.mk more portable
    
    * Use LN_S macro
    
    * Link to all *.xml files in data directory to avoid forgetting special
      files to do with toolbars etc...

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-30

    Make some corrections to fr.po header
    
    * Seems that some bits n pieces that come down from transiflex are not
      quite compatible with build processes

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-28

    Revert "Committed version of gtkpod.pot"
    
    This reverts commit 90252f372ab6b3474626dd65a6e5bd5e8eed7cd6.
    
    * transifex seems to struggle with connecting to the url of the
      gtkpod.pot so revert back to previous.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-28

    Committed version of gtkpod.pot
    
    * Although this is a generated file, it can be used by
      transifex.net for translations and if this file is changed will
update the transifex files automatically.           
    
    * If this proves useful then leave under source control. Otherwise
      revert to ignoring it.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-28

    French translation updates from transifex.net

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-28

    Addition of Taiwanese translation to gtkpod
    
    * Courtesy of zheng07 on www.transifex.net

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-28

    Fixes for French translation and mp4file.c
    
    * Migrated from gtkpod 1.0.0 patch provided by Eric Lassange with thanks

Daniele Forsi <daniele@forsi.it>	2011-01-28

    Update Italian translation

Daniele Forsi <daniele@forsi.it>	2011-01-28

    String fixes
    
    * libgtkpod/misc_track.c
     * Make string similar to other singular strings.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-26

    Fix some configure warnings and missing files
    
    * configure.ac
     * Seems that config.h.in no longer gets recreated. Rejigged some of the
       configure macros and now all files should be properly created from
       scratch
    
    * plugins.mk
     * Modify the %.plugin operation to remove GNU specific syntax so stopping
       annoying warnings when running configure
     * build-plugin-file takes care of generating the .plugin files
    
    * */Makefile.am
     * Each plugin calls build-plugin-file to generate the .plugin file

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-25

    Run libtoolize to ensure creation of ltmain.sh
    
    * Only with this macro in the configure.ac file will libtoolize run and
      ltmain.sh being created

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-24

    Add some progress to deleting tracks
    
    * misc_track.c
     * Change text from 'deleted' to 'deleting' since tracks have not been
       deleted yet!
     * Surround actual deletion with ticks to the status progress bar to
       indicate what is currently happening

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-24

    Adding / Removing files and progress
    
    * file.c
    * playlist_display_actions.c
     * Improve the ability to save files as addition goes along rather than
       trying to do a great save at the end. With a large number of files at
       least only the last 9 would be lost with a hang/crash rather than all
       of them.
    
    * file_itunesdb.c
     * Remove the progress dialog for saving and replace with existing anjuta
       progress framework.
    
    * gtkpod_app_iface.*
    * anjuta-app.c
     * Framework functions for accessing anjuta progress bar.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-23

    Remove superfluous functions
    
    * fileselection.c
     * Left over and copied elsewhere
    
    * repository_editor.c
     * Only thing that uses functions so seems appropriate to move them out
       to plugin.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-18

    Fix for potential segfaults due to '%' in message strings
    
    * Should hopefully stop any messages containing a % symbol such as that used
      in urls for apostrophes (%27) from crashing the application

Daniele Forsi <daniele@forsi.it>	2011-01-14

    Build fixes
    
    * plugins/plugins.mk
     * The *.plugin files must be installed (else the plugin manager
       finds them only when running gtkpod from sources), but this
       breaks make distcheck again and fixing doesn't require to force
       the creation of symlinks.
       Add .PHONY targets.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-13

    Fix logging in conversion scripts
    
    * convert-2mp4.sh
     * Move first log line as stupidly in the wrong place
    
    * convert-2m4a.sh
    * convert-2mp3.sh
     * Add logging to these scripts

Daniele Forsi <daniele@forsi.it>	2011-01-12

    Build fixes
    
    * plugins/plugins.mk
     * Force creation of symlink to avoid failure during make check.

Daniele Forsi <daniele@forsi.it>	2011-01-12

    Build fixes
    
    * Makefile.am
    * data/Makefile.am
     * Generate AUTHORS and COPYING symlinks in the directory that contains
       them and exclude them from make dist.

Daniele Forsi <daniele@forsi.it>	2011-01-11

    Build fixes
    
    * plugins/*/Makefile.am
     * The *.plugin.in files need to be unconditionally added else
       translations would break (because they are referenced in
       POTFILES.in) if make distcheck is executed on a system lacking
       some prerequisites or if --disable-plugin-* is used.
       Change also the other makefiles for consistency.

Daniele Forsi <daniele@forsi.it>	2011-01-11

    Build fixes
    
    * libgtkpod/file.h
    * libgtkpod/gp_spl.h
     * Do not add path when including files that are in the same directory
       to fix make distcheck and for consistency with other files.
    
    * plugins/plugins.mk
     * Plugins need to find includes in libgtkpod directory during VPATH
       builds and make distcheck.

Daniele Forsi <daniele@forsi.it>	2011-01-11

    Build fixes
    
    * plugins/*/Makefile.am
     * Exclude *.plugin files from make dist because now they are built
       from the corresponding *.plugin.in files.

Daniele Forsi <daniele@forsi.it>	2011-01-07

    Translation fixes
    
    * plugins/*/*.plugin
     * Rename to plugins/*/*.plugin.in and mark for translation the Name
       and Description fields.
    
    * plugins/*/Makefile.am
     * Use plugins/plugins.mk in the remaining makefiles.
    
    * po/POTFILES.in
     * Add plugins/*/*.plugin.in. Remove plugins/coverweb/coverweb.glade.h
       since now it is automatically created and deleted during update-po.
    
    * .gitignore
     * Ignore generated .plugin files.
    
    * POTFILES.skip
     * Add data/glade/coverweb.glade because it is a symlink.
    
    * POTFILES.in
    * POTFILES.skip
     * Replace *.xml.h with *.xml
    
    * data/glade/Makefile.am
     * Now gtkpod.glade is handled automatically via POTFILES.in.

Daniele Forsi <daniele@forsi.it>	2011-01-04

    String fixes
    
    * libgtkpod/context_menus.c
    * plugins/exporter/plugin.c
    * plugins/playlist_display/plugin.c
    * plugins/repository_editor/plugin.c
    * plugins/sorttab_display/sorttab_display_context_menu.c
     * Add "..." to menu items that open a dialog.
    
    * plugins/track_display/track_display_context_menu.c
     * Remove "..." from menu item with children.

Daniele Forsi <daniele@forsi.it>	2011-01-04

    GUI fixes
    
    * plugins/details_editor/details_editor.glade
     * Make the "File Size" not editable.
    
    * plugins/sorttab_display/display_sorttabs.c
     * Make the calendar windows stay on top of the main window.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-06

    Seems coverweb now contains translations
    
    * build translation scripts require coverweb glade to be included

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-06

    Remove m4_defn as it breaks intltool-update
    
    * configure.ac
     * Seems that including any brackets in the version of AC_INIT, eg. using
       an m4_defn causes intltool-update to fail. However, removing the
       m4_defn does not seem harm anything.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-04

    Remove surplus include in fetchcover

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-04

    Alternate version numbering technique using m4
    
    * configure.ac
     * Move version number script out of AC_INIT macro so it uses a static var
    
    * version.m4
     * Use this to establish dynamic version number. Should be run before
       AC_INIT and should be hopefully compatible with autoconf 2.66+

Daniele Forsi <daniele@forsi.it>	2011-01-02

    Translation fixes
    
    * plugins/cover_display/display_coverart.c
    * plugins/details_editor/details.c
     * Make a string translatable.
    
    * plugins/coverweb/coverweb.c
    * po/POTFILES.in
     * Make some strings translatable.
    
    * plugins/sorttab_display/sorttab_display_context_menu.c
    * plugins/track_display/track_display_context_menu.c
     * Make some strings translatable.

Daniele Forsi <daniele@forsi.it>	2011-01-02

    * INSTALL
     * Add libwebkit among the optional packages. Other minor changes.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-02

    Update translation files after gui modifications

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-02

    Remove browse label in favour of "..."s in normalization window
    
    * In line with other plugin guis

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-02

    Fix repository plugin to use filechoosers as much as possible
    
    * Remove browse buttons and text entries in favour of file choosers
    
    * Only in cases of sync commands have text entries been left to allow for
      inclusion of additional command arguments

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-02

    Add coverweb.glade soft link to skipped files

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-02

    Fixes to stop crashes if syncronising directories is switched on
    
    * gtkpod_app_iface.c
     * If name is null, stop any lookups occurring in the hash table
    
    * file.c
     * If there is no dot in the path / filename then return a null type since
       it cannot be identified, rather than blindly adding 1 to the pointer and
       risking an array out of bounds sigsev

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-01

    Repository info view
    
    * infoview.c
     * Some more sensible destroying of widgets
    
    * plugin.c
     * Better label for 'open' menu item

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-01

    Remove ogg and flac preferences
    
    * Pointless conversion preferences since the only reason to add files of one
      of these formats is to add them to an ipod so need to be converted
    
    * prefs.c
     * preferences no longer need to be set
    
    * core_prefs.*
     * preference checkboxes removed since ability to convert them depends on
       addition of appropriate file type plugin and they must be converted to
       be useful

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2011-01-01

    Remove 'show toolbar' menu item
    
    * anjuta-actions.h
     * gtkpod doesnt look right with a capital 'g'
     * Remove toolbar action
     * Reformatting for obviousness
    
    * anjuta-app.c
     * Remove unused toolbar callback
    
    * gtkpod.ui
     * Remove toolbar entry

Daniele Forsi <daniele@forsi.it>	2010-12-31

    Update Italian translation

Daniele Forsi <daniele@forsi.it>	2010-12-31

    Translation fixes
    
    * po/POTFILES.in
     * Use intltool-update --maintain to add missing files (list is
       sorted now).
    
    * po/POTFILES.skip
     * Remove deleted files and add .xml files for which intltool-extract
       creates .h files.
    
    * plugins/playlist_display/plugin.c
     * Use _() instead of N_() to make the translation appear.

Daniele Forsi <daniele@forsi.it>	2010-12-30

    String fixes
    
    * data/glade/gtkpod.glade
    * plugins/core_preferences/core_prefs.xml
     * Do not mark empty properties as translatable (they will be set with
       prefs value at runtime or with user input).
    
    * libgtkpod/file_convert.c
     * Make "programming error" messages more similar to the majority of
       such messages and do not translate them.
    
    * src/anjuta-app.c
     * Fix typo.
    
    * plugins/sorttab_display/sorttab_display.glade
     * Do no make filler label translatable (it should probably be replaced
       with a GtkAlignment widget).
    
    * plugins/filetype_ogg/filetype_ogg.plugin
    * plugins/filetype_ogg/oggfile.c
     * Replace "ogg" with "Ogg" as per http://en.wikipedia.org/wiki/Ogg

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-29

    Fix toolbar being lost when scrolling playlist view
    
    * Playlist display scrollbar originally located outside both toolbar and
      playlist treeview. So, when scrolliing the toolbar is scrolled out of
      sight.
    
    * Takes scrolled window lower in hierarchy so only surrounds treeview. Thus
      when treeview becomes over-populated for size, only it will be scrollable
      rather than the whole widget

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-29

    Another attempt at 'handling' %27 in ipod mountpoints
    
    * Use g_uri_unescape_string for display of mountpoint in warning messages.
      Should convert %27 and other characters back to puntuaction marks

Daniele Forsi <daniele@forsi.it>	2010-12-29

    String fixes
    
    * data/glade/gtkpod.glade
    * plugins/exporter/exporter.xml
     * Do not mark empty properties as translatable (the will be set with
       translated strings at runtime or with user input).
    
    * plugins/exporter/exporter.xml
     * Do not end labels with a full stop. Update for changes in
       Preferences window.
    
    * plugins/repository_editor/plugin.c
     * Do not use the same accelerator for items in the same menu.
    
    * plugins/info_display/info_display.plugin
     * Change "ipod" to "iPod" in plugin description.
    
    * plugins/exporter/file_export.c
     * Fix string.

Daniele Forsi <daniele@forsi.it>	2010-12-24

    GUI fixes
    
    * plugins/cover_display/cover_display.glade
     * Open the artwork preview window centered on the main window and
       with a border.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-28

    Attempted fix for segfault due to escape string in uri
    
    * autodetection.c
     * Would appear that ipod names that include an apostrophe, eg. Kyle's ipod,
       have a problem being escaped to uri type strings, ie. 's changed
       to %27s. Printing this string in warning messages segfaults gtkpod
       since it is considered a format string.
     * Using the non-uri string for all print statements should avoid this
       rather specific problem.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-28

    Update configure system
    
    * configure.*
     * Use autoupdate to replace deprecated m4 macros
     * Rename configure.in to configure.ac

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-24

    Core Preferences fixes
    
    * plugin.c
     * Create proper destroy function for dialogs etc ...
    
    * core_prefs.c
     * Reformat source file in line with other source files
     * Instead of destroying the dialogs, hide them so that they can be reopened
    
    * core_prefs.xml
     * Destroy the dialog when the parent preference notebook is destroyed
     * Connect gtk_widget_hide_on_delete to delete event of each dialog so that
       clicking the cross on the dialog hides it rather than destroys it.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-24

    Fix transient dialogs opening with incorrect parent
    
    * misc.*
     * Implement extra version of get_user_string that doesn't assume gtkpod_app
       as the parent of dialogs.
    
    * coverweb_preferences.c
     * Specify correct parent of bookmarks dialog
    
    * track_display_preferences.c
     * Fix correct parent of notebook, which will be a GtkWindow not a GDKWinow
     * ignore word clicked doesn't add if work is empty or if word already exists
     * Specify correct parent of ign_word using get_user_string_with_parent

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-23

    Modify plugins to be system controlled rather than user enabled
    
    * Add UserActivatable property to plugin description files. Implies these
      plugins cannot be disabled by the user

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-22

    Create directories action
    
    * repository_editor.ui
     * Move 'create ipod directories' and 'check ipod filkes' action to the tools
       menu
    
    * repository_init.c
     * Remove extra comment
    
    * repository_editor.glade
     * Add note explaining what happens to existing directories
    
    * Update translation strings

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-22

    Tighten up name when creating new playlist
    
    * misc_playlist.c
     * If name is blank then return
     * If playlist with name already exists then return
    
    * Update *.po files with new strings and latest updates

Daniele Forsi <daniele@forsi.it>	2010-12-20

    More GUI fixes
    
    * libgtkpod/misc.c
     * Make get_user_string() open its dialog centered and on top of the
       main window.
    
    * libgtkpod/fileselection.c
     * Make fileselection_get_file_or_dir() and
       fileselection_get_cover_filename() open their dialogs centered and
       on top of the main window.
    
    * plugins/exporter/file_export.c
     * Make export_tracks_as_files() and export_tracks_to_playlist_file()
       open their dialogs centered and on top of the main window.
    
    * plugins/playlist_display/playlist_display_actions.c
     * Make fileselection_get_files() open its dialog centered and on top
       of the main window.
    
    * src/anjuta-app.c
     * Make anjuta_gtkpod_app_confirmation() open its dialog centered and
       on top of the main window.
    
    * plugins/repository_editor/repository_editor.glade
     * In the "Initialize iPod" dialog Make the "Browse" button identical
       to the "Browse" buttons in the other dialogs and make the "Model"
       combo fill the available space and align to the widgets above.

Daniele Forsi <daniele@forsi.it>	2010-12-20

    GUI fixes
    
    * data/glade/gtkpod.glade
    * libgtkpod/gp_spl.c
     * Open the "Smart Playlist" dialog centered and always on top of the
       main window.
    
    * plugins/repository_editor/repository_editor.glade
    * plugins/repository_editor/repository_init.c
     * Open the "Initialize iPod" dialog centered and always on top of the
       main window.
    
    * plugins/repository_editor/repository_editor.glade
     * Open the "Create Repository" dialog centered on the main window.
    
    * src/anjuta-action-callbacks.c
     * Open the "About" dialog centered on the main window.
    
    * plugins/playlist_display/plugin.c
     * Use GTK_STOCK_NEW only for the first menu item, else both the
       icon and the shortcut are duplicated for all items.

Daniele Forsi <daniele@forsi.it>	2010-12-19

    String fixes
    
    * plugins/playlist_display/plugin.c
    * libgtkpod/misc_playlist.c
     * Change "ipod" and to "iPod" in some command descriptions.
    
    * data/ui/gtkpod.ui
    * src/anjuta-actions.h
     * Change "Anjuta" to "gtkpod" in some command names and descriptions.
    
    * data/glade/gtkpod.glade
    * plugins/core_preferences/core_prefs.xml
    * plugins/media_player/media_player.glade
    * plugins/photo_editor/photo_editor.glade
    * plugins/repository_editor/repository_editor.glade
    * plugins/sorttab_display/sorttab_display.glade
     * Make some strings translatable/not translatable.
    
    * libgtkpod/misc_playlist.c
     * Change "iPOD" to "iPod".
    
    * libgtkpod/gtkpod_app_iface.c
    * po/*.po
     * Remove unneeded space, also in translations.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-20

    Some small fixes highlighted by Daniel
    
    * anjuta-app.c
     * Remove commented out code since there is no need for a toolbar
    
    * filetype_mp4.plugin
     * Curse of the copy n paste!!
    
    * plugin.c
    * *.po
     * Fix translation constants to make them consistent

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-19

    Fix preservation of sorting preferences
    
    * misc.*
     * Include case sensitivity as a parameter in compare string functions
     * case sensitivity preference no longer assumed in guts of compare functions
     * case sensitivity no longer a general preference but different preferences
       allocated on plugin-by-plugin basis
    
    * cover_display
     * Add sorting radio buttons to preference window
     * Include callbacks for sorting and case sensitivity
     * sorting no longer based on st_sort preference but on unique coverart
       preference cad_sort
     * Try to reduce the number of redraws by blocking the signal hander on the
       slider bar
     * Move most of the redraw function calls to the external callbacks so that
       redrawing only occurs at the conclusion of the model changes. Not perfect
       but better than it was
    
    * playlist display
     * Add individual sort preference support using pm_sort and case sensitivity
       using pm_case_sensitive
    
    * sorttab display
     * Add individual sort preference support using st_sort and case sensitivity
       using st_case_sensitive
    
    * track display
     * support for case sensitivity using tm_case_sensitive

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-19

    Configuration fixes
    
    * configure.in
     * Improve conditionals on available library components so that filetype
       plugins are only compiled if dependencies are present
     * Check for gstreamer-interfaces as well as gstreamer since we use
       xoverlay for displaying videos
    
    * details.c
     * Fix deprecation for GtkNotebookPage
    
    * default.profile
     * Since ogg file type is optional then the plugin cannot be specified as
       mandatory
    
    * gp_private.h
     * Give anonymous enums names

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-19

    Minor fixes to preferences and m4a plugin
    
    * M4A Plugin
     * Copy n paste errors in M4A structures
    
    * anjuta-app.c
     * Insert space in front of Plugins title to ensure this category is always
       first in the icon category list in the preference dialog. Seems that
       activating a plugin refreshes all plugins hence the list rebuilds and
       the first in the list is re-selected.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-18

    Fix some missed translation strings
    
    * POTFILES.in
     * Add the anjuta-actions.h, which contains Quit and other actions

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-16

    Small fixes in playlist display and anjuta framework
    
    * anjuta-app.c
     * Reset dock layout action not working since layout.xml renamed to
       dock-layout.xml in gtkpod. Modifies this accordingly
    
    * playlist_display
     * Move create playlist sub-menu under music menu
     * Remove "menu" label from create playlist submenu as unnecessary
    
    * Thanks for Daniel Forsi for pointing these out!

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-16

    Details Editor fixes
    
    * Remove inner viewport / scrollbar from notebook since we have one on the
      docked window
    
    * Sort out selection of page in notebook. Ensure the last page selected is
      stored in the preferenes

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-11

    Adds support for converting videos to ipod spec mp4s
    
    * video filetype uses generic convert-2mp4.sh script to convert videos to
      mp4s.
    
    * convert-2mp4.sh
      * Uses ffmpeg for the conversion
      * Adds tag information using ffmpeg's metadata options.
      * Log file added for debugging problems

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-11

    Add more debugging and add another file removal if conversion failed
    
    * file_convert.c
     * add some more debugging statements
     * if conversion failed but track is still valid then the track still
       needs to be removed and cleaned up

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-11

    Change annoying backup dialog box
    
    * If backup database is not found then a dialog is displayed indicating
      that a back database has been created. This is just annoying. Better to
      have a status bar message that still informs but does not get in the way

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-11

    Replace SCRIPTDIR constant with get_script_dir() function
    
    * Relies on scripts being installed in order for conversions to work while
      developing. Changes scripts directory to act in the same manner as images
      and data directories.
    
    * Relies on initialisation in directories.c

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-05

    Fix m3u playlists to support Windows carriage returns
    
    * Strange errors while importing music library, claiming some files
      did not exist.
    * m3u files were being picked up as well, and because these were made on
      a Windows system they contained Windows newlines.
    * Since the importer only strips off the \n, gtkpod was trying to open
      'filename.mp3\r'.
    
    * Thanks to Jop Zinkweg (jzinkweg@gmail.com) for the patch

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-05

    Fixes to update gui if convert goes wrong
    
    * file_convert.c
     * conversion_get_track_info does not need a conv since it is never called
       with one
     * Another attempt at sorting a deadlock with the conversion mutex
     * If a track fail to copy then ensure the gui knows to remove the failed
       track
    
    * gp_itdb.c
    * misc_track.c
     * Drag n drop adds the track to the given ipod before the conversion has a
       chance to fail. If conversion does fail before the thread runs, eg. no
       installed script then remove the track using the g_idle callback
     * gp_remove_track_cb callback for removing a track . Used with g_idle_add,
       it ensures that it runs on the correct thread.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-12-02

    Fix translations given rename of infodlg to infoview

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-30

    Ignore the version file since it is generated on build

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-30

    Ensure the view titles are translateable
    
    * Insert uniform couple of spaces in front of each title so they have a
      small padding on the left side when shown in the view

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-30

    Convert info dialog into a view
    
    * More user-friendly that a dialog floating around that can quickly
      disappear behind the parent window

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-28

    Fix for translations to produce po files
    
    * Update src files in POTFILES.in
    
    * Include version.sh in EXTRA_DIST

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-27

    Generate translation text for all glade files
    
    * Seems to work for gtk builder xml files too!

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-27

    Fix language translations for filetype plugins
    
    * mp4file.c etc. refactored so translations must be updated as a result

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-27

    Minor filetype fixes and fix for a deadlock
    
    * gp_itdb.c
    * misc.c
     * Removal oversight of mp4file includes
    
    * Makefile.am
     * Add m4a filetype plugin to extra dist
    
    * file_convert.c
     * Make the conversion scheduler function try the mutex lock rather than
       blindly grabbing it. Since this function is called every 100ms then a
       later attempt will be made.
     * Missing unlock in conversion_convert_track causes deadlock.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-25

    Refactoring of filetype support into individual plugins
    
    * File types supported with use of describing plugin
    
    * Plugins determine the file type's capabilities
    
    * Removal of all switch statement code and replaced with filetype registry
    
    * Extensible architecture for adding new file types
    
    * Generic video file type at the moment for basic support of mov etc..

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-21

    Build system not recreating configure script
    
    * If configure script exists then autoconf does not bother to recreate it
      unless configure.in has been changed. Due to dynamic versioning against
      git, the version number is cached and incorrect.
    
    * Force autoconf to recreate all files, ensuring a correct build version.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-20

    Check ui symlinks exist before trying to create them

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-20

    Correct mistakes in glib interface use
    
    * Seems the dummy object is the reference to pass around rather than the
      interface itself.
    
    * Creation of functions to act as getters for interface properties

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-06

    ui files no longer required
    
    * Most of these no longer apply since original glade files have
      been split out into the plugins. They are being migrated to
gtkbuilder xml files so these could be retrieved during that           
migration.           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-05

    Rework of configure script versioning - language fixes
    
    * configure.in
     * Seems the m4_defn macro does not play nicely with intltool-update script
       which is run when creating debs. Modified to use recognised mechanism
       of m4_esyscmd.
    
    * version.sh
     * version script that will ordinarily tack the commit id to the version no.
    
    * po/*
     * Fix missing and skipped files

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-05

    Fix out-dated language files.
    
    * Will need proper work later on.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-03

    Modifications for distribution tarball
    
    * mserv plugin must be included in plugins makefile
    
    * gtkpod_app-marshallers.list must be included in libgtkpod makefile
    
    * fixed errors in photo_editor plugin makefile
    
    * marshallers.list needs to be included in dist tarball
    
    * configure.in
     * Fix versioning to pass on libgtkpod so version to makefiles

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-11-02

    Modifications to configure script to tar long filenames
    
    * Running make dist on current project layout causes errors when trying to tar
      since the file path lenghts exceed 99 characters.
    * Switched to using tar-ustar option which allows 256 characters.
    * Updated AC_INIT to take the project and version number
    * Updated AM_INIT_AUTOMAKE to take the tar option.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-30

    Add select-all context menu item to track display

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-28

    Breaking out mserv functions into own plugin
    
    * Created a separate plugin to incorporate the mserv functions lifted out
      of the core library
    
    * Removal of play and enqueue functions from tools since these are now
      handled by the media player plugin.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-19

    Remove deprecated gtk_menu_append function
    
    * Replaced with gtk_menu_shell_append

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-17

    Tidy up the context menus
    
    * Categorise and create sub menus where necessary
    
    * Replace play and enqueue with sub menu dedicated to execute any track
      commands that have been registered.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-17

    Sorttab display preference for sorting
    
    * Adds preference panel for changing the sort order to filter tabs
    
    * Removes randomize and alphabetize actions as sorting now controlled
      exclusively in the preference window.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-17

    Remove sort window from track display as no longer useful
    
    * Reworking of the sorting of tracks. Sorting now only occurs by clicking
      the headers of the track display.
    
    * Track preferences concened with ignore strings and which columns to display

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-17

    Add playlist display preferences
    
    * Foremost preference to sort the playlists alphabetically

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-13

    Set preference for show exec command popup menu
    
    * If more than one track exec command has been registered then a popup menu
      must be displayed. This can be avoided by setting a preference in the
      track display preferences.
    
    * gtkpod_app_iface.*
     * plumbing for executing a command identified in the
       DEFAULT_TRACK_COMMAND_PREFERENCE.
    
    * track_command_iface.h
     * TrackCommandInterface needs an id and display text
    
    * track_display.glade
    * track_display_preferences
     * preferred track command preference implementation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-09

    New track exec command interface
    
    * track_command_iface.*
     * Plugins can register themselves with this interface to execute a function
       on the current selection of tracks
    
    * display_tracks.c
     * Tracks no longer directly editable. Maybe that edit plugin registers
       itself as a track exec command?
     * Track is double-clicked to execute a command. More than one comamand
       should display a menu of commands to execute. Menu is still TODO
    
    * media_player/plugin.c
     * First implementation of track command. Result is user double clicks a
       track and the track starts to play in the media player

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-09

    Reworking of media player plugin
    
    * Remove loop in the play thread as unnecessary and problematic

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-05

    Remove Filter label and add Find icon instead
    
    * Track display plugin
     * Replace the 'Filter' label with a 'Find' icon inside the entry box

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-04

    Path and update fixes
    
    * file_itunesdb.c
     * Since "" are now being cleaned up, an extra test is required in the
       write_extension_info to check that the ipod_path is not null
    
    * playlist_display_actions.c
     * Need to signal other widgets that the selected playlist has been updated
       when adding tracks from file or directory.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-10-04

    Various small fixes
    
    * .gitignore
     * Ignore COPYING file since its a symlink
    
    * configure.in
     * Cut n paste error in the status output
    
    * gp_itdb.h
     * Aovid compile error in file_itunesdb,c

Christophe Fergeau <cfergeau@mandriva.com>	2010-09-29

    libgpod expects empty strings to be NULL
    
    gtkpod sets empty Itdb_Track strings to "" instead of NULL to make
    things less error-prone. However, this should stay internal to gtkpod,
    and as far as libgpod is concerned, empty fields should be NULL, not "".
    This commit makes sure that empty fields will be set to NULL before
    trying to write the iPod database.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-26

    Fix for licence file loading in about box
    
    * Thanks to Riccardo (dennymallow at gmail.com) for the fix.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-15

    Icon for media player view window

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-15

    Playlist display context toolbar added
    
    * glade removed and no need to gtkbuilder xml either
    
    * playlist_display_toolbar.xml
     * Lists actions for context toolbar
    
    * Icon added to view window

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-15

    Remove the main toolbar
    
    * Takes up lots of space and only has toolbar buttons from playlist display.
    
    * Playlist display buttons to be moved to context toolbar

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-08

    Enable splash screen for gtkpod using same system as anjuta
    
    * main.c
     * No need to do gdk_threads_enter/leave here.
    
    * gtkpod.c
     * Set up splash screen image
     * Surround gp_init with gdk_threads_enter/leave to avoid race condition
       with splash screen

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-04

    Fix media player volume control and have it change the audio volume
    
    * Set the volume according to a preference that is saved to preference file
    
    * Volume plumbed into the audio of the gstreamer playbin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-04

    Removes unnecessary glist length tests for empty glists
    
    * Pointless as an empty glist is null

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-02

    Fixes some selection errors when removing tracks
    
    * gtkpod_app_iface.c
     * tracks being removed should be removed from selected and displayed
       tracks lists before notifying plugins that the track has been
 removed.           
    
    * media_player.c
     * Clear the song label and track list when removing tracks
    
    * display_coverart.c
    * details.c
     * Replace g_return_if_fails with quieter normal returns

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-09-02

    Fix for some remaining data->data calls
    
    * These calls are no longer possible with GSEAL hence
      gtk_selection_get_data should be used instead
see #bug 3058341           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-31

    Ensure confirmation dialog icon can be found

Javier Kohen <jkohen@users.sourceforge.net>	2010-09-02

    Add support for the DATE field in VorbisComment.

Javier Kohen <jkohen@users.sourceforge.net>	2010-09-01

    Use quiet mode when decoding ogg to Workaround bug in oggdec 1.4.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-31

    Better implementation of handling backward compatibility of gtk version
    
    * As recommended by Maia Kozheva (sikon@ubuntu.com), put the pre-processing
      directives in one place.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-29

    Update gitignore to ignore exporter.xml

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-29

    Stop warning about losing qualifiers from guchar* to gchar*

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-29

    Allow backward compatibility to gtk 2.18
    
    * gtk_widget_get_realized() only available from gtk 2.20. Since Mandriva
      2010 includes 2.18, not unreasonable that this version should still be
      supported.
    
    * configure.in
      Make the -DGSEAL_ENABLE flag conditional on a gsealed_gdk since use of
      GTK_WIDGET_REALIZED is not an option with gsealed.
    
    * Add pp version checks in code to allow for older gtk versions

Christophe Fergeau <cfergeau@mandriva.com>	2010-08-29

    don't try to free non-malloc'ed memory
    
    get_data_dir return a filename from gtkpod global state, we really
    don't want to free the returned string (was crashing here). Duplicate
    the string instead so that we can use the same code path as when
    g_build_filename is used.

Christophe Fergeau <cfergeau@mandriva.com>	2010-08-29

    Revert "Add exporter xml (stupid Anjuta didn't even warn)"
    
    This reverts commit 421506c1097f76aa3ae4c6b0dfcbc0e792727d12.
    The exporter.xml file is available in plugins/exporter, and during
    build, a symlink will be created from this file to data/glade. If
    the file is already present, build fails.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-28

    TODO file baselined with tasks prior to moving to master branch

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-28

    Avoid setting media player tracks to NULL

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-28

    Move LIBOBJS from app to library

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Require GTK >= 2.12 (already required de facto due to GtkBuilder)

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make gtkpod build with -DG_*_DISABLE_DEPRECATED; switch to cairo rendering for star rating (code taken from Rhythmbox again)

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make gtkpod build with -DGSEAL_ENABLE

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make gtkpod build with -DG*_DISABLE_SINGLE_INCLUDES

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Replaced endian.h usage with glib (needed for macports, thanks to ToHellWithGA)

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make rating column non-resizable

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make horizontal scrollbar not push the filter input box aside

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Add exporter xml (stupid Anjuta didn't even warn)

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Make GIO a mandatory dependency (which it de facto is, as it's part of glib), for impending POSIX -> GIO transition

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Renamed GtkBuilder file to .xml; added anjuta files to gitignore

Maia Kozheva <sikon@ubuntu.com>	2010-08-28

    Port exporter plugin to GtkBuilder (by using newly added option_*_gb functions)

Maia Kozheva <sikon@ubuntu.com>	2010-08-27

    Remove 'Test Song by Test'

Maia Kozheva <sikon@ubuntu.com>	2010-08-27

    Correctly initialize libmp4v2

Maia Kozheva <sikon@ubuntu.com>	2010-08-26

    media_player: Make song title bold, fix memory leak

Maia Kozheva <sikon@ubuntu.com>	2010-08-26

    Remove getopt files; getopt has been in glibc since time immemorial

Maia Kozheva <sikon@ubuntu.com>	2010-08-26

    Fix bashism in audio file conversion script; patch from Debian by mettle

Maia Kozheva <sikon@ubuntu.com>	2010-08-26

    Change mountpoint to use the modern /media directory; patch from Debian by Nico Golde <nion@debian.org>

Maia Kozheva <sikon@ubuntu.com>	2010-08-26

    CMake fixes from Ubuntu

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-12

    Remove soft links in directories
    
    * No longer need to link files from src directory. All files moved
      from src directory to replace their respective soft links in either
      the libgtkpod or plugins directories

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-12

    Tidy up following merge from master

Merge: 5cb03c5 a53708d
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-12

    Merge branch 'master' into plugin-framework
    
    Conflicts:
src/Makefile.am           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-10

    Updated ChangeLog. Small fix to zh_CN.po

David Kohen <kohen.d@gmail.com>	2010-08-10

    Updated Hebrew translation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-09

    Bit of attention to the about box
    
    * Made use of the AUTHORS file in similar syntax to anjuta's.
    
    * Lists devs, documenters and translators
    
    * Now displays the icon

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-09

    Fix to stop get_current_folder assertion error

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-09

    Remaining Chinese untranslated string translated.
    
    * Many thanks to Américo Wang <xiyou.wangcong at gmail.com> for the
      translation.

tuoni <tuoni@tuonela.(none)>	2010-08-08

    Corrected questionable plural case russian translations

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-08

    Update Catalan and German translations with google's attempts

Maia Kozheva <sikon@ubuntu.com>	2010-08-08

    Finalize Russian translation for 1.0

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-08

    Translation files reverted to remove auto translation attempt
    
    * Translation files that have not have human edits were updated originally
      by poedit's translation engine. This cannot be trusted since it seems to
      add some strings that just look plain wrong. These translated strings
      have been removed so at least the messages will be returned in English.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-07

    Media Player plugin enable video
    
    * Use the playbin factory to create the high-level gstreamer player.
      All that is required. Throws up a dialog with the video in.
    
    * Problematic to put the video into the gui as closing other gdkwindows
      causes instability and crashes. Simple implementation for now that just
      works.
    
    * Removed all the commented code and extra stuff so tidied up a bit.

Daniele Forsi <daniele@forsi.it>	2010-08-06

    Update Italian translation

Javier Kohen <jkohen@users.sourceforge.net>	2010-08-03

    Updated Spanish translation.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-01

    Realisation that limitations of poedit preclude its use
    
     * Use of poedit to update from source files fails to detect the
       gtkpod.desktop.in file hence its values are obsoleted wrongly.
    
     * Seemingly random order of poedit's update means lack of consistency
       for order of strings in .po files
    
     * Only use 'make update-po' to rescan all files in codebase

Alain Portal <alain.portal@free.fr>	2010-08-01

    Fix header.

Alain Portal <alain.portal@free.fr>	2010-08-01

    Update french translation.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-01

    Update to German translation
    
    * Update to translation strings.
      Thanks to Volker (vkrebs@users.sourceforge.net)

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-01

    More translation corrections
    
    * file.c
     * Correction of incorrect slash in warning message
    
    * Update of all translation files to reflect change in file.c
    
    * Obsolete a couple of message translations from gtkpod.desktop. These
      do not seem to need translation since the desktop file receives
translation keys anyway           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-01

    Add Alain to list of French translators

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-08-01

    Adds hook for extract glade strings for translation
    
    * Makefile.am
     * uses intltool-extract to create a .h file from the glade file

Alain Portal <alain.portal@free.fr>	2010-08-01

    Update french translation.

Javier Kohen <jkohen@users.sourceforge.net>	2010-07-31

    Updated Spanish translation for gtkpod 1.0.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-30

    Updated po files against src
    
    * Used poedit to synchronise each translation catalogue against
      the src.
    
    * Some strings auto-translated while others left blank requiring
      translator intervention.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-28

    Refactorings of media player
    
    * Prototype up and running and produces sound.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-27

    Getting the volume icon to popup the volume slider
    
    * Volume icon is displayed on left side and on clicking it pops up the
      volume slide in a similar way to rhythmbox's volume control

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-25

    Initial inclusion of media player plugin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-25

    Remove auto-generated symlinks from repository

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-24

    Some build fixes
    
    * plugins/Makefile.am
     * Ensure that photo editor is built
    
    * coverweb.c
     * destroy browser widget on deactivate
    
    * coverweb/.../128x128/.../Makefile.am
     * Error with which scale of icon is used
    
    * details.c
     * Comment correction

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-22

    Fixing some more TODO messages
    
    * lyrics editor
     * Adds interfaces for the UI component responsible for editing lyrics
     * Currently the details editor is registered as the lyrics editor

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-22

    Fix for dlopen bug in Fedora 13
    
    * Makefile.am
     * Ensure -ldl is explicitly linked

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-22

    Fix some TODO messages hanging around and general tidy up

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-22

    update version number in configure

Daniele Forsi <daniele@forsi.it>	2010-07-18

    Update ChangeLog with latest changes

Daniele Forsi <daniele@forsi.it>	2010-07-18

    Update and improve Italian translation

Daniele Forsi <daniele@forsi.it>	2010-07-18

    Ignore more files generated by gettext

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-18

    Latest updates to news and changelog in preparation for release

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-18

    Support for future versions of Fedora that require explicit ldl linking

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-17

    Porting of photo editor to new framework

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-17

    Cover art fix for select cover failures
    
    * gtkpod_app_iface.c
     * set_current_playlist is broadcasting the selection of a playlist's
       tracks before broadcasting the playlist selection itself
    
    * display_coverart.c
     * Should not rely on gtkpod_get_selected_tracks for its tracks as these
       may not have been set when coverart_update has been called. Besides the
       display should show all albums in a selected playlist.
    
    * misc_playlist.h
     * Some error messages should be available cross-library

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-13

    Remove itdb callback and photo support
    
    * gtkpod_app_iface.*
     * itdb setting implied by the setting of the playlist so no need for the
       separate setter function or callback
    
    * playlist_display/plugin.c
     * Playlist display has no need to worry about tracks being removed since
       the view never displays tracks
    
    * display_playlists.c
     * pm_remove_track and pm_add_track simply notify other UI components so
       no longer necessary
    
    * file_itunesdb.c
    * display_photo.c
     * Re-implement photo database support
     * Add load_photodb function from display_photo since it is a library
       function that has no UI elments
     * display_photo to become core of photo plugin

Maia Kozheva <sikon@ubuntu.com>	2010-07-11

    Added cmake build files to make dist

Merge: 2410f7c 947484e
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-07

    Merge branch 'master' into plugin-framework

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-06

    Ensure respository and sort windows are transient
    
    * Ensure these dialog window are transient with legitimate parents to avoid
      losing them behind the main window

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-05

    Rehash of the "No ext database" message
    
    * Attempt to improve the message to make it more informative. Still
      think it could be further improved.

Daniele Forsi <daniele@forsi.it>	2010-07-04

    Fix typo
    
    s/individuais/individuals/

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-04

    Update About box information

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-04

    Bug fix for erroneous lyric dialog message
    
    * bug 3021855
    
    * file.c
     * Instead of displaying gtkpod_warnings, tack the error onto the lyrics
       string array just like the other errors. Prepend them with the word
       Error so that the write_lyrics knows that they are not proper lyrics.

Daniele Forsi <daniele@forsi.it>	2010-07-04

    Don't set stock label gtk-close as translatable

Daniele Forsi <daniele@forsi.it>	2010-07-04

    Fix typos in docs

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Updates to NEWS and Changelog for bump to 1.0

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Odd fixes for installation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Rename install_svn to install_git

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Small fix in clean-local target in plugins.xml

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Fix bug where preferences are shutdown before plugins can write to them
    
    * sorttab display has a cleanup() function which is called on deactivate.
      However, gtkpod_shutdown is called prior to the plugin deactivation hence
      preferences are destroyed.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Remove dev hooks for data directory
    
    * ui, icon and glade files now loaded using local get_*_dirs() functions
      rather than relying on installing to /usr/local/data using sudo. Makes
      for a cleaner dev environment
    
    * symbolic links still created for ui and glade files but these only used
      for development and are never installed

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-07-03

    Temporarily move unused gtkbuilder files to own directory

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-29

    Fixes for coverart display syncing
    
    * cover_display/plugin.c
     * respond to tracks displayed signal
    
    * anjuta_app.c
     * Seems that if a plugin UI window was closed then the app exited, the
       next time it is opened, the former has trouble displaying.
    
    * display_sorttabs.c
     * stop broadcasting the displayed tracks quite as often.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-22

    Build configure tweaks
    
    * Add pkgconfig pc file fo libgtkpod
    * Fix Makefile of coverweb with change to configure.in

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-22

    Fix for lack of LIBTOOLIZE call by autogen.sh

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-22

    Output result of webkit test in configure script

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-20

    Fixes defect with showing the cover art preview dialog

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-19

    Experimental simple browser for finding coverart using webkit
    
    * Entire plugin compiling should be conditional on webkit dependency

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-19

    Minor tweaks and tidy ups

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-13

    Conversion log and coverart preferences
    
    * Adds the conversion log widget to the main glade file
    
    * gtkpod.c is modified to allow for the xml file to be set before all of
      the initialisation is done
    
    * Coverart Display given its preferenes for background and foreground
      colours. Slight annyoance with cairo rendering though!
    
    * Details plugin given its own fetchcover for use with the coverart image

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-13

    Cover art plugin and saving session
    
    * Anjuta code for saving the profile and session ported to work with gtkpod
      config directory.
    
    * Cover art display plugin ported.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-06

    Filter seems to not work properly when trying to filter tracks
    
    * The filter-as-type search bar does not seem to filter against tracks
      correctly, rendering most of the time a blank view.
    
    * misc.c
     * Proposed Changed is to modify utf8_strcasestr search function to defer
       to g_strrstr instead, which seems built into glib since its first
       development.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-06

    Filter seems to not work properly when trying to filter tracks
    
    * The filter-as-type search bar does not seem to filter against tracks
      correctly, rendering most of the time a blank view.
    
    * misc.c
     * Proposed Changed is to modify utf8_strcasestr search function to defer
       to g_strrstr instead, which seems built into glib since its first
       development.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-06-01

    Getting the smaller things sorted ...
    
    * gtkpod_app_iface.c
     * Handle whether to save before exiting
     * Add some new signals for preference changes, itdb data changes and itdb
       data saving
     * Avoid segfault from displayed_tracks collection by copying glist
     * When tracks reordered, ensure the current playlist's members are the
       displayed tracks
    
    * Addition of menu items on Music and Edit menus and corrsponding actions

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-24

    mserv actions and default preferences
    
    * Sort out mserv menu action. Gets populated from three main plugins
    
    * Move default preference value to their respective plugins

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-23

    Exporter and context menus sorted out
    
    * exporter_iface.*
     * Exporter plugin tweaked to implement its own interface in the same way
       as the repository editor
    
    * gtkpod_app_iface.*
     * Exporter functions redone to support new Exporter interface
     * Data changed signals included to unsurprisingly signalling that data has
       either changed or unchanged
    
    * Context menus for sorttab and track views
    
    * Block widgets sorted out to disable the anjuta menubar and toolbar

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-19

    Fixes more/fewer filter tab actions sensitivity
    
    * Get the actions to enable/disable when sorttab max and mins reached
    
    * TODO list updated with latest progress

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-17

    Rejigged help to point to gtkpod help rather than anjuta
    
    * Point help to gtkpod home page and doc directory
    * About box redone for gtkpod

Joel Smith <joel_smith@appsig.com>	2010-05-16

    cmake updates for libmp4v2 detection and endian.h header

Joel Smith <jsf-lists.gtkpod@jk1.net>	2010-05-01

    Fix bug for MP3 files with NULL genre being marked as audiobooks

Maia Kozheva <sikon@ubuntu.com>	2010-05-16

    Bumped version in cmake; fixed cmake build to properly set HAVE_GIO

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-15

    Latest things on TODO ticked off. Minor tweaks to avoid error messages
    
    * details.c
     * if playlist contains no tracks then still clear up the details view
    
    * display_sorttabs.c
     * Remove space_data_update as no longer required
    
    * display_tracks.c
     * Remove update_track_view as no longer required

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-15

    Adds info window as own plugin
    
    * Responds to signals and updates accordingly.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-09

    Preferences dialog retuned to anjuta preference interfaces
    
    * Removed helloworld and advhelloworld plugins
    
    * gtkpod_app_iface.c
     * TRACKS_REORDERED signal for telling sorttabs to reorder when track
       display requires it
     * PREFERENCE_CHANGE signal for indicating from sort window that the
       appropriate component should reorder
    
    * core preferences plugin added for gtkpod based preferences
    
    * sorttab_display, track_display added implement preference interface
    
    * anjuta-app.c
     * install_preferences function reworked to not display first anjuta
       tab and no longer need a preference.ui file

Merge: d452908 6d5a2e5
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-03

    Merge remote branch 'origin/master' into plugin-framework

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-03

    Cleaning up unnecessary source files and updating TODO

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-02

    Wire up details editor to signals
    
    * default.profile
     * Load details editor plugin upon loading of app
    
    * Connect up signals to detaisl editor track and playlist selection
      callbacks. If changes have been made to displayed tracks in the editor
      then display dialog, asking user whether they are willing to lose the
      changes.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-05-02

    Make libanjuta dependency for version 2.30.0
    
    * configure.in

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-26

    Details editor successfully started
    
    * details editor setup in the same way as the repository editor
      with an interface referenced by the gtkpod app and the plugin
      registering itself to the interface.
    
    * file_selection.*
      moved back into libgtkpod since it is used by a couple of
      different plugins.
    
    * gtkpod_app_iface.*
      track_updated signal and callbacks added.
    
    * playlist_display_context_menu.c
      only if there are registered instances of the repository and
      details editors, will there context menu item be shown.
    
    * display_sorttabs.c
      responds to tracks being updated from signal
    
    * display_tracks.c
      responds to tracks being updated from signal

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-26

    Exclude MP4Tags* functions from builds with older libmp4v2 headers
    
    * src/mp4file.c
      Thanks to joel (jsf-lists.gtkpod@jk1.net) for the patch.

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-25

    Translation file for Catalan
    
    - Translation po file for Catalan language. Thanks to
      Nofre Móra (keidon) for the contribution.
    
    bug:2991770

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-20

    updates and tweaks for latest anjuta
    
    * More updates to anjuta-app to sync with 2.28
    * Add custom cleanup function for shutdown of the app
    * client server setup initialised in gp_itdb.c

Merge: ae4cb23 7ab31fe
Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-18

    Merge branch 'master' into plugin-framework
    
    Conflicts:
configure.in           
src/Makefile.am           
src/autodetection.c           
src/display_itdb.c           
src/file.c           
src/file_itunesdb.c           
src/mp4file.c           

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-18

    Several enhancements to importing audiobooks, podcasts TV shows
    
    * Patches thanks to Joel Smith <jsf-lists.gtkpod@jk1.net>.
    
    * Main idea is that gtkpod should get the MP4 tags from MP4 files and
      populate the track fields with whatever data is present so that
      less manual setting of track details is required when importing
      files.
    
      * When importing MP4/M4V/M4A/M4P files, only set the media type
        on a track if not already set
    
      * Try to dlopen newest libmp4v2 first
    
      * Check MP3 genre flag to see if it's an audiobook or podcast.
        If the genre tag is set to audiobook or podcast, set the media
        type appropriately.
    
      * Support for UTF-16 chapter names in MP4 files
    
      * Read Apple-specific atoms from mp4 files using mp4v2 for TV
        Show data and media type
    
      * Read Apple-specific atoms from MP4 files using mp4v2 without
        MP4Tag functions for TV Show data and media type
    
      * When importing audiobooks or podcasts, default to remember
        playback position and skip when shuffling.
    
      * Changing media type in file details to audiobook or podcast sets
        the remember playback position and skip when shuffling flags.

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-15

    Cleanup and move to anjuta 2.28.2
    
    * configure.in
     - Seems that anjuta needs to be in the CFLAGS and LIBS vars.
     - Needed for anjuta-*.* in src directory
    
    * gtkpod.glade
     - Preferences window moved to its own preferences.ui files since
       the api for anjuta_preferences window has moved to GtkBuilder
    
    * Makefile.am
     - Housekeeping for linking to preferences.ui
    
    * anjuta-app.c
     - Updates to match the anjuta 2.28.2 source

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-15

    Add update actions to the playlist, sorttab and track plugins
    
    * Each plugin contributes its own particular update track acion

Paul Richardson aka phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-15

    Change TODO warning to messages
    
    * Seeing as warnings could stop compilation or debugging if some
      flags have been set, better to make TODO statements as messages

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-07

    Repository editor - fixes
    
    - gtkpod_app_iface.*
      Use repository editor rather than the interface as the parameter
    
    - repository_editor.c
      On receiving an itdb update, ensure that the index of the repository
      combo box is found and the set it after re initiating the combo
      Have the editor respond to added and removed itdbs too

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-04-05

    Repository plugin near functional completion
    
    - Signals added for responding to an added itdb or removed itdb
    
    - Repository Editor interface created for handling the editing of
      repositories and also the initialising of them.
    
    - Repository Editor added to GtkpodAppInterface and used as the link
      from the main application.
    
    - Means the init dialogs are added to the repository plugin.
    
    - Repository Plugin:
      - repository.c used for common functions
      - creator, editor and init separates the different UI functionality

Andrea Odetti <mariofutire@googlemail.com>	2010-03-30

    Fix memory leak reported by valgrind.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-28

    Tidying up
    
    - Uncomment release/block widgets, gtkpod statusbar messages
    
    - repository.c
      - Add combo boxes to repwin struct so that they are global
      - Remove repwin from parameters of functions since there is now only one
        and it is global to the file
      - Add callbacks on playlist and itdb updates. Especially important when
        an itdb is replaced since the comboboxes hold references to all the
        itdbs.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-27

    Converting the repository dialog into a view
    
    - gtkpod_app_iface.*
      display_widget function passes off to the anjuta implementation
    
    - anjuta-app.c
      display_widget checks if widget is a dock item and if so displays
      accordingly. Means that the dock widgets if closed can be redisplayed.
    
    - repository.c
      Redesign of repository view including removal of cancel and ok buttons
      converting the dialog into a view

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-21

    Version of configure increased to 0.99.17GIT

Todd Zullinger <tmz@pobox.com>	2010-03-08

    Remove leftover debugging in GIO autodetection code

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-10

    Repository editor
    
    * Take the UI of the repository dialogs and switch them to a view instead
    * Repository editor now exists as a plugin in its own right

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-10

    Get playlist display context menu up and running
    
    * Adding more actions to it, including exporter plugin
    * Preparation for the repository editor plugin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-03-06

    Updated NEWS and ChangeLog for release 0.99.16

Todd Zullinger <tmz@pobox.com>	2010-02-14

    Explicitly check for and link libvorbis
    
    Changes in the default DSO linking behavior on Fedora exposed the fact
    that gtkpod used symbols from libvorbis but had relied on other
    libraries it linked against to pull it in.

Todd Zullinger <tmz@pobox.com>	2010-02-14

    Explicitly link against libm
    
    Changes in the default DSO linking behavior on Fedora exposed the fact
    that gtkpod used symbols from libm but had relied on libgpod or other
    libraries it linked against to pull it in.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-28

    Export plugin to handle copying tracks to filesystem
    
    - exporter plugin
      - Adds Tools > Export menu with "export as playlist" and "export to
        filesystem"
    
    - gtkpod_app_iface.*
      - register exporter function assigns appropriate function callbacks to
        the gtkpod interface
      - if there is no plugin installed which has registered as the exporter
        implementation then such actions would be disabled.
      - unregister function available for tidying up if the plugin is disabled
    
    - playlist_display plugin
      - glade bits n pieces moved to exporter plugin
      - start of context menu for playlist view
    
    - anjuta-app
      - Tools menu added as placeholder
    
    - src/context_menus.*
      - Removal of menu functions. To be added back as and when they are
        implemented

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-28

    Patch moving auto detection from hal to gio
    
    - Support for both autotools and cmake
    - Thanks to Nikias Bassen for the patch at tracker id: 2960423
    - Reviewed and tested successfully with following:
      -- ipod nano (1st gen)
      -- ipod (5.5 gen)

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-25

    Remaining delete features
    
    - gtkpod_app_iface.c
      - Ensure that list of tracks in set_selected_tracks is copied rather than
        pointed at.
    
    - playlist display plugin
      - Add TRACK_REMOVED signal to remove appropriate tracks from current
        playlist.
    
    - sorttab display plugin
      - Include "Delete Entry" actions in Edit Menu
      - Add TRACK_REMOVED signal to remove appropriate tracks from current
        sorttabs.
    
    - misc_track.*
      - delete_track_ok and delete_track_cancel no longer static as both used
        by sorttab's delete_entry_head().

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-23

    Delete tracks actions added to track plugin
    
    - Delete Selected Tracks from Playlist
    - Delete Selected Tracks from Database
    - Delete Selected Tracks from Device
      - All added to Edit->Delete submenu
    
    - Signal emitted when a track is removed using gp_remove_track

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-21

    Getting delete actions implemented
    
    gtkpod.glade
      - Get gtkpod icon properly displayed in corner of delete dialog
    
    gtkpod.ui
      - Skeleton delete action submenu
    
    gtkpod_app_iface.*
      - Set up signal that should be fired when a playlist is deleted
    
    libgtkpod/misc_playlist.*
      - Add delete playlist functions
    
    libgtkpod/misc_track.*
      - Add delete track functions
    
    libgtkpod/misc.*
      - delete_populate_settings added here for use by both delete playlists and tracks
    
    playlist plugin:
      - display_playlists - callback that remove playlist upon receiving REMOVED signal
      - playlist_display.ui - delete playlist actions added to delete submenu
      - playlist_display_actions - delete action callbacks

Merge: b61fadf 52d6818
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-21

    Merge branch 'master' of ssh://gtkpod.git.sourceforge.net/gitroot/gtkpod/gtkpod into plugin-framework

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-14

    Avoid segfault during drag n drop of cover art
    
    - display_coverart.c
      Check avoids possible sigsev if cover cannot be found in the cover art
array. Possible to occur if coverart collection is empty.           

Alain Portal <alain.portal@free.fr>	2010-02-14

    Update and improve translation.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-06

    Clarification of further things to do

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-06

    Getting save to work
    
    - gtkpod.glade
      Includes the file transfer dialog and progress indicator. Would be nice
      if this could be more integrated using the anjuta progress bar but that
      is a little way off yet.
    
    - gtkpod_app_iface.*
    - anjuta_app.c
      Include API functions for showing the busy cursor using anjuta framework
    
    - playlist_display_actions.c
      File and directory addition processes now show busy cursor
    
    - file_convert.c
      conversion object initialised when any of its related functions are called
      in order to get the save function working
    
    - file_itunesdb.c
    - ipod_init.c
      reformatting

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-02-02

    Dialog threading
    
    - gtkpod_app_iface.*
    - anjuta-app.c
      Fixes warning and status bar message functions to display text correctly
      Playlist updated function reselects the given playlist and resets the
      playlist's tracks as the displayed list
    
    - playlist_display_actions.c
    - display_itbd.c
      Threading the add file and add directory dialogs. Dialogs disappear and
      UI is updated visibly.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-31

    Restoring funtionality to actions
    
    - libgtkpod/*file.*
      Adds back these file format support files to the library
    
    - gtkpod_app_iface.*
      Turn signal names into #defines for uniformity
      Differentiation between tracks displayed and tracks selected
    
    - misc_playlist.c
      Restores functionality of new playlist actions back to toolbar

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-26

    random playlist action up and running
    
    - gtkpod_app_face.c
      Some parts of the code like to play around with the glist of tracks,
      including freeing it. Thus, important to provide a copy of it to avoid
      random sigsevs and crashes
    
    - minor tweaks, debug warnings and fixes. Must remove warnings at a later date.

Alain Portal <alain.portal@free.fr>	2010-01-25

    Some updated strings.

Alain Portal <alain@portable.localdomain>	2010-01-22

    Updated to 0.99.14

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-21

    Getting new playlist action working correctly
    
    - Removal of some of the g_warnings
    
    - misc_playlist.c
      re-enable smart playlist function
    
    - gp_itdb.c / display_itdb.c
      creation of gtkpod_playlist_added function for signalling that a new
      playlist has been added to an itdb
    
    - display_playlists
      callback created that add a playlist child to the playlist model
    
    - gtkpod_app_marshallers.list
      new closure for signals that carries a pointer and int as parameters.
      Used for signalling that a playlist has been added.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-18

    Fixes for playlist and track plugins
    
    - Ensures that setting the gtkpod playlist and tracks does not cause an
      infinite signal loop.
    
    - Extra comments added for the moment in order to check signals are being
      fired in the correct order
    
    - Playlist actions added to playlist plugin UI and plumbed in accordingly
    
    - Glade xml from gtkpod.c app set as the glade xml of the gtkpod library

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-13

    Error Fixes for track display plugin
    
    tool_menu_action.*
     - Code copied from gtk forums for creation of gtk toolbar button with sub-
       menu
    
    playlist_display.ui
     - Adds New Playlist toolbar button with its submenu
    
    playlist_display/plugin.c
     - All the actions for the New Playlist toolbar button added
    
    display_itdb.c
     - Ensures tooltip initialisation

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-13

    Introduction of session to layout views
    
    - Force the views to conform to a default layout resembling the original
      gtkpod layout

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-13

    More bits and pieces for the track display plugin
    
    gtkpod_app_iface.c
     - TRACKS SELECTED signal in gtkpod app interface for signalling what tracks
       have been selected by other views.
    
    advhelloworld.plugin
     - Remove icon assignment to stop useless error message
    
    sort_window.*
     - Link to track display plugin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-13

    Track Display plugin added
    
    - plugins.mk created for boiler plate plugin-related tasks. Included in
      each plugin's Makefile

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-06

    display sorttab plugin responds to playlist signal
    
    - display_sorttabs.c
       - callback sorttab_display_select_playlist_cb called in response to select
         playlist signal from libgtkpod.
    
    - fewer_sort_tabs action added to ui and callback added to sorttab display actions

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2010-01-03

    Fixing outstanding bugs
    
    default.profile
      - Reversed plugins in profile as it seems they are processed in reverse
        order.
      - Playlist Display must be processed first since it is on the left and
        below the Sorttab Display
    
    gp_private.c
      - Error in placing these functions in gp_private.h
    
    Playlist Display
      - Given the plugin a title once again since it is used in the view menu
      - Given a minimum size to the playlist window
    
    Sorttab Display
      - More Filters Tabs skeleton action added
      - Fix for showing the root paned against the preferences rather than the
        maximum number
    
    anjuta_app.c
      - Replacing gtk_widget_show_all with gtk_widget_show since some child
        widgets are hidden according to preferences

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-30

    Fixed some glade related bugs
    
    data/glade
      - directory created to mirror installed data/glade directory
      - will store all glade files from core and plugins
    
    data/directories.mk
      - global makefile functions for creating relevant data sub directories
        for the development symbolic links
      - plugins refactored to include these functions in their makefiles
    
    playlist_display.png
      - remove pointless icon from plugin
    
    gtkpod.h
      - change gtkpod_xml_new to gtkpod_core_xml_new as plugins seem to like to
        use this version rather than the one in misc.h
      - gtkpod_core_xml_new hands off to gtkpod_xml_new in misc.h

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-28

    Successful sorttab prototype plugin
    
    plugins/sorttab_display
      - work on sorttab_display to load as a plugin
      - loads tabs successfully. More work needed to eliminate errors
    
    date_parser*
      - moved into plugin since only it uses these files

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-24

    Minor fixes post-merge
    
    directories.c
      - Comment out debug_print_directories function
    
    file_itunesdb.c
      - Replace gtkpod_window with gtkpod_app
    
    misc.c
      - Incorrect merge of gtkpod_init code into get_user_string function

Merge: 6118391 1a919a5
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-24

    Merge branch 'master' into plugin-framework
    
    - data/ui/gtkpod.glade
    - data/ui/gtkpod.ui
      - files retained as pre-merged syntax
    
    - GtkBuilder ui is slightly different and its purpose is to builder
windows whilst anjuta ui is geared towards xml being added for just           
menus and toolbar (added into GtkUIManager).           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-24

    fledgling sorttab plugin

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-24

    Playlist Display action and icons sorted out
    
    - icons for add directories, files, playlist and save changes refactored
    - Related actions added to playlist display plugin

Maia Kozheva <sikon@ubuntu.com>	2009-12-23

    Brought add_custom_target to lowercase

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-21

    status bar update re-added
    
    - gtkpod_tracks_statusbar_update added in to gtkpod app interface
    
    - couple of incorrect return calls fixed in anjuta-app.c

Merge: 8018e31 a01ac3d
phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-21

    Merge branch 'master' into plugin-framework

Maia Kozheva <sikon@ubuntu.com>	2009-12-21

    Locale support in CMake

Maia Kozheva <sikon@ubuntu.com>	2009-12-21

    Optional dependency support for cmake

Maia Kozheva <sikon@ubuntu.com>	2009-12-21

    Split glade file into GtkBuilder files; updated CMake build system

Maia Kozheva <sikon@ubuntu.com>	2009-12-21

    Updates for CMake build

Maia Kozheva <sikon@ubuntu.com>	2009-12-21

    Added CMake build files

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-20

    playlist l&f and signalling updates
    
    - Removes playlist-related png files from data directory and adds them to
      display_playlists data directory.
    
    - data/gtkpod.ui
      * Add place holder for gtkpod music menu related icons
    
    - gtkpod_app_iface.*
      * 2 signals created for notifying when a new playlist should be selected
        and when and itdb should be updated.
      * Implies that when the library programmatically wants to make a playlist
        be the current playlist then any interested plugins can be notified and
        can update themselves.
    
    - gtkpod_app-marshaller.*
      * new signals added to gtkpod interface so marshallers created for use with
        them.
      * these files are auto-generated from the .list file so no need to modify
    
    - stock_icons moved back to the library so its available to all plugins
    
    - file_export.*
      * only ever used by playlists_display so moved into that plugin
    
    - display_playlists.*
      * no longer maintains its own current itdb and playlist but gets them from
        the library, ie. plugin is the viewer whilst library is the model.
    
    - playlist_display.ui
      * Load iPod menu item and toolbar item properly implemented and working
    
    - display_itdb.c / gp_itdb.c
      * replace_itdb function reinstated and loads the given itdb correctly and
        then informs the UI by emitting a signal.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-18

    Changed symlinks in library to relative
    
    * symlinks set to absolute paths starting with /home/phantomjinx so
      updated to be relative to src directory
    
    * modified the title of the playlist display frame

Maia Kozheva <sikon@ubuntu.com>	2009-12-16

    Remove nested functions for clang compatibility

Maia Kozheva <sikon@ubuntu.com>	2009-12-16

    Use soname after all; libmp4v2.so is not guaranteed to exist

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-12-13

    Improving source of playlist plugin
    
    * default.profile loads playlist plugin on startup
    * display plugin properly loads ipods
    * warnings and status sent to gtkpod interface for display
      by the anjuta library

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-29

    New interface for gtkpod application
    
    * libgtkpod uses an interface for the application that it is currently
      running. This means that the anjuta references can be confined to
the platform part of the code and the library can be pure gtk/gtkpod           
stuff.           

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-25

    Succeeded in loading itdbs into playlist display
    
    Successfully loaded the itdbs from the intialised preferences in
    libgtkpod. All itdbs are added to the playlist view upon its
    creation.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-13

    Ignore plugin and library files

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-12

    Swapped around symbolic links in src directory
    
    To Make patching easier, symbolic links are located in libgtkpod
    directory and point to files in src directory

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-08

    Removed gtkpod.glade from src directory

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-08

    Successfully linked libgtkpod to platform
    
    On the road towards getting the display_playlist plugin working.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-03

    Working towards a library being fully defined
    
    The platform now fully depends on library for its functionality and
    underlying workings. Currently, compiling the platform displays some
    undefined references that need sorting.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-31

    Added gtkpod src files into main src directory
    
    Now that other fixes are being performed on the mainline, it will be
    easier to patch existing files if they are symlinked back from their new
    location to the src directory.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-25

    Icons and Library
    
    * Sorting out icons for display-playlist plugin
    * Creation of the gtkpod library that deals with libgpod and provides
      the api for the UI to interface to.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-18

    * Started on the display playlist treeview plugin
    * TODO gives an idea of the list of things to complete !

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-11

    * Minor updates to advHelloworld Makefile

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-10

    * Advanced Helloworld plugin installed and working * Development environment set up in Makefiles for plugins to be tested without being installed.

phantomjinx <phantomjinx@goshawk.BIRDS-OF-PREY>	2009-10-04

    * Move of all gtkpod core into core plugin * gtkpod.c and gtkpod.h responsible for loading anjuta framework * Preferences dialog added to display installed plugins

phantomjinx <phantomjinx@goshawk.BIRDS-OF-PREY>	2009-09-26

    * Makefile.am and configure.in modified for directories * anjuta style default.profile added to data directory * plugins directory created * work on directory initialisation resulting in creation of directories.c

phantomjinx <phantomjinx@goshawk.BIRDS-OF-PREY>	2009-09-20

    * eliminated errors from loading the anjuta framework * new default profile and ui file

phantomjinx <phantomjinx@goshawk.BIRDS-OF-PREY>	2009-09-16

    * configure.in - Added anjuta library dependency
    
    * src/anjuta*
      - anjuta source files taken from anjuta to bring up the skeleton app

Andrea Odetti <mariofutire@gmail.com>	2009-11-01

    Bug fix, memory leak and double free.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-11-08

    Add volume control to details window
    
    Patches submitted to list Andrea Odetti <mariofutire@googlemail.com>.
    Adds a volume control slider to details window for setting the volume
    of the track. Also, fix for null-terminated list in syncdir.c
    
    Thanks to Andrea.

Todd Zullinger <tmz@pobox.com>	2009-10-19

    Migrate from Subversion to git

Javier Kohen <jkohen@users.sourceforge.net>	2009-04-18

    Expand column width manually.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-30

    Fix for hang when changing back from photo window to playlist view.
    
    The hang occurred due to the use of "while (gtk_events_pending)
    gtk_main_iteration" in the st_set_sorttab_page function. This has
    been removed as well as further calls to this pragma in other parts
    of the file. File has also been reformatted to correct all whitespace.

phantomjinx <p.g.richardson@phantomjinx.co.uk>	2009-10-25

    * Added .gitignore file to repo

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-09-03

    2009-09-03 Paul Richardson <phantom_sf at users.sourceforge.net>
    
            * src/misc_track.c: Fix podcast addition
    
              Patch to make a podcast added to the podcast playlist
              recognised as a podcast on the ipod. Thanks to
              Adam Sjøgren for the patch.
    
  Try number 2!           
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2385 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-09-03

    2009-09-03 Paul Richardson <phantom_sf at users.sourceforge.net>
    
            * src/misc_track.c: Fix podcast addition
    
              Patch to make a podcast added to the podcast playlist
              recognised as a podcast on the ipod. Thanks to
              Adam Sjøgren for the patch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2384 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-09-03

    Files added to /Podcasts/ - automatically change the Media Type to "Podcast"?
    
    [Moving to development list]
    
    On Wed, 26 Aug 2009 19:52:10 +0100 (BST), P.G. wrote:
    
    >> Would it be an idea for gtkpod to automatically change the Media Type of
    >> files added to the /Podcasts/ folder to "Podcast"?
    
    > It would be useful. If I get chance, I'll have a look into it. In the
    > meantime, if you feel like sending a patch then feel free.
    
    Good point. My C is rusty, but this patch works for me (iPod Touch
    1.1.1):
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2383 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-08-14

    file_convert: Fix missing variable in warning
    
    The conv-cachedir variable was missing from a gtkpod_warning() call,
    leaving users wondering what "Could not create '%s'." might mean.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2380 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-08-07

    2009-08-07 Paul Richardson <phantom_sf at users.sourceforge.net>
    
            * src/files_itunes.db
              Patch because iphones with os 3.0 only have an iTunesCDB
              file and no iTunesDB file. Thanks to teuf for patch
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2379 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-08-02

    * Changelog entry added for syncdir modification.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2378 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-08-02

    * syncdir.c (sync_playlist):
      Change to recurse into given sync directory's sub-directories for
    files. Allows syncing of an hierarchical music directory layout.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2377 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-08-01

* src/mp4file.c: dlopen libmp4v2.so instead of libmp4v2.so.0           
              to support newer library versions. Closes tracker item
              2820688.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2376 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-08-01

* po/*.po: ran "make update-po".           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2374 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-08-01

* po/de.po: updated German catalog. Thanks to Kai-Ove Pietsch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2373 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-05-10

    Remove duplicated ChangeLog entry
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2360 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2009-05-10

    Update contributor credentials (Matvey -> Maia)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2357 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2009-05-10

    Support for dynamic libmp4v2 load
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2356 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-04-25

    src/file_itunesdb.c: gp_write_itdb()
    
        Change to update backupDB path of ipod if it does not exist on the
        computer that the ipod is currently connected. Falls back to path of
        ~/.gtkpod/backupDB_{ipod model} and displays warning with new backup
        location.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2335 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-20

    scripts/convert-2mp3.sh: Improve lame genre test
    
    Lame prints the output of --genre-list to stderr.  The grep for $genre
    was also too lenient and matched more than it should.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2334 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* src/display.c           
  src/display_tracks.c           
  data/gtkpod.glade:           
    
  Clean up statusbar display in main window (remove resize           
  grip when statusbar is not at the rightmost corner).           
    
  Work around a bug in GTK+ that puts the sensitive area of           
  the resize grip at the wrong position after a resize of the           
  window or hiding of the filter tab arrow by manually           
  updating the contents of the statusbar after a resize and           
  after hiding the arrow.           
    
  Changes to gtkpod.glade are small but diff is excessive even           
  if saving twice (V3.4.5).           
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2333 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* file_itunesdb.c (gp_write_itdb): fix typo.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2332 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* file_itunesdb.c (create_transfer_information_dialog): keep           
              on top of all other windows. Thanks to Daniele Forsi for the
              patch.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2331 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* file_itunesdb.c (gp_write_itdb): fix memory leak. Thanks to           
              Daniele Forsi for the patch.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2330 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* prefs.c (cleanup_keys):           
    
  Remove the "write_extended_info" key.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2329 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

* file_itunesdb.c:           
    
  Replace ALL prefs_get_int("write_extended_info") calls with           
  a pre-defined TRUE macro -- thereby securely ignoring the           
  prefs settings.           
    
* prefs.c (cleanup_keys):           
    
  Remove the "write_extended_info" key.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2328 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

Patch from: Daniele Forsi           
    
* src/file.c           
  scripts/gtkpod-convert-common.sh:           
    
  Handle files ending with .oga, .ogv and .ogx the same as           
  files ending on .ogg           
    
    
    http://wiki.xiph.org/index.php/MIME-Migration#Players.2C_File_managers_etc
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2327 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-04-18

Patch from: Javier Kohen           
    
* src/display_playlists.c           
  src/display_tracks.c           
  src/display_sorttabs.c           
    
  Make GUI appear more responsive by highlighting the selected           
  playlist / filter tab entry before updating the track           
  display.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2326 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-18

    Add preferences for handling ReplayGain
    
    This adds two preference settings, replaygain_offset and
    replaygain_mode_album_priority.  The first is a simple offset value that
    is added to the ReplayGain value before being converted to a Soundcheck
    value and stored in the iTunesDB.  The other setting allows a choice
    between Audiofile (aka album) gain and Radio (aka track) gain.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2325 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-18

    Read ReplayGain values from ID3 tags
    
    Support ReplayGain data in common ID3 tags.  The order of preference for
    ReplayGain data is now ID3, APE, and lastly the LAME tag.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2324 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-18

    Prefer Audiophile (Album) over Radio (Track) gain
    
    Also adjust the ordering of the tags checked.  We now check the APE tag
    first, because if a user has set it they likely would want to use that
    value instead of the one added automatically by Lame at encode time.
    Thanks to Tino Keitel for the patch.
    
    This also resets the GainData struct in mp3_get_track_ape_replaygain(),
    so that we don't end up using some mix of data from the LAME Tag and the
    APE tag for ReplayGain.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2323 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-18

    Improve mp3file.c debug macro (thanks to Christophe)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2322 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2009-04-17

    2009-04-17  Paul Richardson <phantom_sf at users.sourceforge.net>
    
            * Reverted src/mp3file.c and configure.in due to lack of released
              taglib support. Branched existing code to branches/taglib-branch
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2318 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Dudy Kohen <kohen.d@gmail.com>	2009-04-16

    Added TagLib support for MP3 files (everything except replay gain)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2316 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2009-04-16

    Set page-size to 0 to fix Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2315 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-12

    Define a convenient debug macro for mp3file.c
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2309 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-04-12

    Fix entry widget names for Create Repository window
    
    The names were changed to fix issues caused during the glade file
    conversion to glade3, in svn revision 2126
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2308 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-03-17

    Use LOCALDEBUG in mp3_get_track_*_replaygain()
    
    This replaces commented out debug code, making it easier to enable when
    needed.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2278 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-03-17

    Fix docs for mp3_get_track_lame_replaygain()
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2277 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-03-17

    Clean up comments in mp3_get_track_ape_replaygain()
    
    Also remove some useless whitespace.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2276 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-03-17

    Fix id3_get_string typo (LOCALDEGUB -> LOCALDEBUG)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2275 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-03-16

    Lame did not store ReplayGain values prior to 3.94b
    
    http://lame.cvs.sourceforge.net/*checkout*/lame/lame/doc/html/history.html
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2274 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-28

* src/misc.h           
  src/display.h           
  src/sort_window.c           
  src/display_sorttabs.c           
  src/misc.c:           
  Optimation in the sort code -- thanks to javier Kohen for           
  the patches.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2266 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-28

* src/display_coverart.c           
  src/display_tracks.c           
  src/display_sorttabs.c:           
  Use g_list_prepend instead of g_list_append. Thanks to           
  Javier Kohen for the patches.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2265 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-25

* src/display_tracks: streamline display functions. Thanks to           
              Javier Kohen for the patch.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2261 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-24

* src/display_tracks.c (tm_data_compare)           
  src/misc_track.c (track_get_text):           
  Use faster but less convenient code in switch()           
  statements. Thanks to Javier Kohen for the patch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2260 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-24

* src/display_sorttabs.c (st_remove_all_entries_from_model)           
  Faster code to remove all entries in the filter           
  entries. Thanks to Javier Kohen for the patch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2259 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-24

* src/display_tracks.c (tm_remove_all_tracks)           
  Faster code to remove all tracks. Thanks to Javier Kohen           
  for the patch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2258 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-23

* src/misc_track.c           
  src/display_sorttabs.c: use g_list_prepend() instead of           
  g_list_append() where appropriate. Thanks to Javier Kohen           
  for the patch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2257 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-02-23

* src/misc.h           
  src/details.c           
  src/misc.c: replace glist_duplicate by g_list_copy. Thanks           
  to Javier Kohen for the patch.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2256 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-31

    Bump libgpod requirement to >= 0.7.0
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2249 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-31

* src/mp3file.c (mp3_read_lame_tag): fix endianess problems on           
  little endian machines. Fixes "iPod doesn't play gapless"           
  issue. Thanks for Todd for localizing the problem.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2243 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-27

* scripts/convert-2mp3.sh: fix bug when setting genre for           
  non-standard genres.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2242 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-19

    Bump version to 0.99.15SVN for further development
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2230 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-19

    Bump version for 0.99.14 release
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2226 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-18

    Minor update to NEWS file
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2223 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-18

    Update NEWS for 0.99.14 release
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2222 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-18

    Quiet iTunesDB.ext warning
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2221 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-17

* src/file_convert.c (conversion_log_set_status): don't change tab           
  label text in conversion log window unless actually           
  necessary. Fixes the "disappearing tooltips" problem (tracker           
  #1906016).           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2218 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-17

* src/rb_rating_helper.c: display a warning if one of the star           
  icons cannot be loaded.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2217 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-17

* src/display_tracks.c: let gtkpod remember column sizes again.           
    
* src/prefs.c: enable horizontal scrollbar in the track view by           
  default.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2216 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-14

    Update simple Chinese translation (Tan Zhixin)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2215 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-14

* po/ro.po: updated Romanian translation. Thanks to Alex           
              Eftimie.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2213 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-13

* src/confirmation.c           
  src/misc_confirm.c: cleanup indentation           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2209 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-13

* src/file_export.c: add export template for mp4 files.           
    
  src/prefs.c: remove references to export_template which           
  wasn't used. Thanks to Todd to point out both.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2208 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-11

* data/gtkpod.glade: add property "translatble=yes" to the check           
  button "generate_video_thumbnails". Thanks to Eric.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2207 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-11

* configure.in           
  src/mp4file.c: Adding support for MP4V2 2.0_20081129 without           
  losing support for older versions of MP4V2 from the mpeg4ip           
  line. Thanks to William Hardeman.           
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2206 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2009-01-11

* src/mp3file.c: correct programming error when determining offset           
  of the LAME tag. Thanks to <Anonymous> for submitting tracker           
  #2490479.           
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2204 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-06

    Add zh_CN to ALL_LINGUAS
    
    (Actually installing newly add translations is a Good Thing(TM). ;)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2203 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-05

    Ignore data/man/gtkpod.1 (it's built from data/man/gtkpod.1.in)
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2199 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-05

    Ignore src/*.o files
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2198 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-05

    Update man page
    
    Add details on gtkpod.load and gtkpod.eject scripts, clean up the
    synopsis, and generate the manpage at configure time to set the
    version properly.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2197 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2009-01-05

    Add simple Chinese translation (Tan Zhixin)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2196 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-31

    * src/file.c
    src/help.c
    data/gtkpod.glade: string corrections -- thanks to Daniele
    Forsi.
    
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2185 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-27

    * po/es.po: Spanish translation updated -- thanks to Alejandro
    Lamas Daviña
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2182 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2008-12-16

    updated Italian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2175 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-12-16

    Fix typo in ok_to_close_gtkpod dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2174 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-12-16

    Remove -a/--auto from usage output and manpage
    
    These options were removed long ago in svn rev 1070.  Thanks to Frank
    Lichtenheld (in Debian bug #466127).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2173 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-15

    * po/he.po: Hebrew translation updated -- thanks to Assaf Gillat
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2169 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-10

    * po/sv.po: Swedish translation updated -- thanks to Stefan
    Asserhäll
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2165 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-09

    * po/*: updated po files.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2162 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-12-07

    * data/gtkpod.glade
    src/display.c: Add an item to the View menu to show/hide the
    filter bar (AKA: search bar)
    
    * src/display_tracks:
    Fix a number of bugs relating to the filter bar. Thanks to
    Andrea for the pointer.
    
    Remove filter text when switching from one playlist to another:
    leaving the filter in place immensely increases the time for display.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2156 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-11-08

    * src/display_tracks.c
    src/misc_track.c: use a toggle box to show the state of the
    lyrics flag instead of 0/1.
    
    * src/display_tracks.c
    src/misc_track.c
    src/file.c
    src/file.h
    src/details.c
    src/details.h: clicking on the lyrics toggle box brings up the
    edit lyrics dialog.
    
    !!! There are two possible sources for segfaults in
    details.c/details_button_apply_clicked:
    
    - track_copy_artwork() writes the lyrics tag to the file and
    checks for duplicates. This might destroy the list we are just
    iterating over.
    
    - write_tags_to_file() writes tags to the file and checks for
    duplicates. This might destroy the list we are just iterating
    over.
    
    I don't have a simple solution right now.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2149 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-11-08

    * src/display.h
    src/file_itunesdb.c
    src/misc_conversion.c
    src/display_itdb.c
    src/display_tracks.c
    src/display_itdb.h
    src/misc_track.c
    src/mp3file.c
    src/mp3file.h
    src/file.c
    src/file.h
    src/details.c
    data/gtkpod.glade:
    
    Implemented Dudy Kohen's patch to read/write/edit lyrics data
    of MP3 files. Added a separate lyrics tab in the "Edit Details"
    window.
    
    MP4 lyrics not yet supported -- patches welcome.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2148 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-11-08

    * data/gtkpod.glade: write-out with glade V3.4.5
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2147 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-10-30

    * src/file_export.c
    data/gtkpod.glade: fix bug that prevented "export to file
    system" mode from working. (glade-3 renamed yet another
    widget)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2146 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-10-29

    * src/prefs.c
    src/prefsdlg.c
    src/file_convert.c
    data/gtkpod.glade: straighten out bug that allowed to unselect
    conversion and as a side effect switched off copying of the
    music files to the iPod.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2145 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-10-05

    * src/prefsdlg.c
    data/gtkpod.glade: option for mass-editing of tags was only
    available if "writing tags to disk" was selected.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2134 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-10-01

    * src/repository.c
    data/gtkpod.glade: glade3 must have decided to rename a number
    of widget names. This patch fixes this issue for the
    Repositories Prefs and Create New Repository windows.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2126 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-09-30

    Set track->lyrics_flag for mp4 files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2125 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-30

    * src/ipod_init.c
    data/gtkpod.glade: glade3 must have decided to rename a number
    of widget names. More of these patches to come. Initializing a
    new iPod should work fine again.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2124 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-27

    * INSTALL: added instructions on how to compile libgopd and
    gtkpod on a
    fairly virgin Ubuntu Hardy (8.04) installation.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2123 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-22

    * src/mp3file.c (id3_set_string): don't write genre IDs instead of
    genre string. The use of ID numbers seems antiquated.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2122 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-21

    * src/mp3file.c (id3_tag_read): (partially) implement genre IDs in
    parenthesis according to
    http://www.id3.org/id3v2.3.0#head-42b02d20fb8bf48e38ec5415e34909945dd849dc
    Ignore genre IDs in parenthesis if a "refinement" is
    given. Otherwise use the first ID found as genre. Fixes tracker
    item 2113461.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2121 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-09-19

    Minor whitespace cleanups
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2120 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-09-19

    Reword several libmp4v2 macro definition descriptions
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2119 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-09-19

    Use AC_SEARCH_LIBS to check for MP4SetMetadataAlbumArtist in libmp4v2
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2118 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-07

    * src/mp3file.c: Add saving of AlbumArtist field. Thanks to Dudy
    Kohen for the patch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2116 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-07

    * README: added download link for V1.6 of libmp4v2
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2115 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-09-07

    * configure.in
    src/mp4file.c: Check whether MP4 AlbumArtist functions are
    available (fixes compilation error with older versions of
    libmp4v2).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2114 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-31

    * src/mp3file.c: Handle Artist and AlbumArtist fields differently:
    For Artist: try the Artist tag and fall back to the Album Artist
    tag if the former does not exist.
    For Album Artist: set to the contents of the Album Artist tag,
    but only if the Artist tag does exist.
    Thanks to Dudy Kohen for the patch.
    
    * src/mp4file.c: do the same for mp4 files (the Album Artist tag
    was not supported before).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2113 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/prefsdlg.c
    data/gtkpod.glade:
    Fix usability problems in prefs dialog (Music->Commands).
    
    * src/file_convert.c
    data/gtkpod.glade:
    The widget name "conversion_log" was used twice, but for some
    reason this didn't cause problems until glade-3 re-wrote the
    file. Fixed by using different name for the menu item.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2106 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/prefsdlg.c (on_commands_clicked, on_cmd_aacgain_file_set):
    variable for aacgain was defined as "aacgain_path" instead of
    "path_aacgain".
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2105 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/prefsdlg.c (on_unsetdeps_checkbox_toggled): fixed memory
    leak.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2104 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/prefs.c (get_list_from_buffer): fixed memory leaks.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2103 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/details.c (details_get_item): fixed memory leak. Thanks to
    Andrea.
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2102 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/file.c (add_coverart): fixed memory leak. Thanks to Andrea.
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2101 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/mp3file.c (mp3_read_lame_tag, mp3_get_track_gapless,
    mp3_get_track_lame_replaygain, set_uncommon_tag): fixed possible
    compiler warnings.
    
    (mp3_read_lame_tag, mp3_read_gapless): fixed memory
    leaks. Thanks to Andrea.
    
    * src/mp3file.[ch]: Added "const" qualifier to filename arguments.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2100 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/repository.c (sync_playlist_mode_automatic_toggled): fixed
    memory leak. Thanks to Andrea.
    
    (repwin_free): fixed memory leak. Thanks to Andrea.
    
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2099 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-17

    * src/file_itunesdb.c (read_extended_info): fixed valgrind
    warning. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2098 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-08-16

    2008-08-16 Paul Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display.c: memory leak fix in display_image_dialog. Thanks to
    Tomas Carnecky for the patch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2097 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-04

    * src/sort_window.c: fix bug that selected sort column (for track
    view) was displayed incorrectly. Make handling of "no sorting"
    more intuitive.
    
    * data/gtkpod.glade: small bugfix (radio button group for track
    display sort order was not set up correctly)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2087 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-03

    * src/display_playlists.c (pm_button_press): block widgets during
    eject. Thanks to Andrea for spotting this potential crash site.
    
    (accidentially committed with revision 2084)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2085 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-03

    * src/display_itdb.c (gp_replace_itdb): fix memory leak. Thanks to
    Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2084 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-02

    * src/display_itdb.c (gp_track_extra_destroy): fix memory leaks.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2082 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-02

    Added comment.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2081 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-02

    * src/display_itdb.c (gp_itdb_extra_destroy): fix memory
    leaks. Thanks to Andrea.
    
    * src/stock_icons.c (register_stock_icon): fix memory leak. Thanks
    to Andrea.
    
    * src/display_photo.c (gphoto_album_selection_changed): fix memory
    leak. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2080 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-08-02

    * src/file_itunesdb (gp_import_itdb): fix memory leak. Thanks to
    Andrea.
    
    * src/prefs.c (prefs_get_cfgdir): fix possible memory leak. Thanks
    to Andrea.
    
    * src/prefs.c (temp_prefs_load): fix memory leaks. Thanks to
    Andrea.
    
    * src/misc.c (load_ipod_index_prefs): fix memory leaks. Thanks to
    Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2079 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmz@pobox.com>	2008-08-02

    Ignore generated Makefiles in data/icons/*
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2078 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-21

    * src/misc_confirm (on_gtkpod_delete_event): return TRUE to
    prevent other handlers from being called. (Tons of error
    messages otherwise.)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2062 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-07-20

    2008-07-20 Paul Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photo.c:
    Patch to stop photo action signals being added to actions
    multiple times. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2061 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-20

    * src/fileselection.c
    src/fileselection.h: restructure code. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2059 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-19

    * src/file_itunesdb.c (data_changed): don't mark non-imported
    iPods as changed. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2058 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-19

    * src/confirmation.c (gtkpod_confirmation): initialize
    <scrolled> variable. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2057 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-19

    * src/display_playlists.c (pm_add_child): when adding
    playlists to the end, don't add behind the Photo item.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2056 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-07-18

    2008-07-18 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/file.c (get_track_info_from_file):
    Relating to previous change. Rather than comment out, have reversed
    logic as per Michael Tiffany's patch (15/07/2008)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2053 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-07-18

    2008-07-18 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/file.c (get_track_info_from_file):
    Commented out test itdb_track_has_thumbnails test on line 1418
    as this stops coverart being added to new tracks as they are being
    imported from directory.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2052 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-07-18

    2008-05-31 P.G. Richardson <phantom_sf at users.sourceforge.net>
    * display_coverart.c
    Corrected tabs and spacing
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2051 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-16

    * src/display_playlists.c (pm_get_iter_for_playlist): remove
    assertion (pl!=NULL) that is no longer valid with the
    introduction of the "Photo" entity. Should take care of the
    segfaults when removing a playlist listed after the Photo
    entity.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2049 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-07-14

    Fix bashisms in several scripts
    
    Use /bin/bash for sync-evolution.sh and sync-ldif.sh since they use
    bash-specific syntax.
    
    Remove bash-specific syntax in the sync-thunderbird-nano.sh script.
    
    Thanks to Frank Lichtenheld (fixes Debian bug #489605).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2048 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-06

    * src/syncdir.c: hash filenames of tracks to reduce overhead
    when syncing parts of large repositories. Thanks to Clarke
    Brunsdon for the initial patch.
    
    * src/file.c: also update mtime of updated tracks.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2037 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-05

    * src/display_coverart.c:
    
    Normalized indentation (original editor was mis-configured).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2031 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-05

    * src/misc_conversion.c (ST_to_T)
    src/display_sorttabs.c (st_set_string_compare_func):
    
    be more restrictive concerning ST_CAT_SPECIAL (assertion)
    
    src/display_coverart: white space
    
    src/file.c: added comments
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2030 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-05

    * src/file.c: allow absolute paths in coverart
    template. Thanks to J.D. Laub for the patch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2029 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-05

    * src/display_itdb.c
    src/display_playlists.c: some work on white space.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2028 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-07-05

    src/display.h
    src/file_itunesdb.c
    src/repository.c
    src/display_itdb.c
    src/display_playlists.c
    src/context_menus.c
    src/display_photo.c
    src/display_photo.h: get rid of Photo "Playlist" and create a
    "Photo" object inthe Playlist view.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2027 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-06-29

    * src/display.c
    src/display_photo.c
    src/details.c
    src/fetchcover.c: replace deprecated gdk_pixbuf_unref() with
    g_object_unref().
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2024 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-06-29

    * src/display_photo.c: fix possible memory leak. Thanks to Mike
    Heffner.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2022 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-06-28

    src/display_playlists.c: fix compilation error
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2020 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-06-28

    * src/file_itunesdb.c
    src/display_photo.c
    src/display_photo.h: don't display error message about
    non-available photodb if iPod does not support photos.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2019 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-05-31

    Various small "make distcheck" fixes
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2001 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-05-31

    Update po/POTFILES.in file list to keep distcheck happy
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@2000 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-31

    * src/details.c (details_update_thumbnail): fix bug that prevented
    displaying thumbnails in the edit details window that were saved
    on the iPod.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1998 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-05-31

    2008-05-31 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * context_menus.c
    
    Added coverart update call to eject ipod action.
    
    * display_coverart.c
    * display_covarart.h
    
    Tidied up function doc comments.
    Ensured when no playlist is selected, coverart_display_update
    clears the artwork display.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1997 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Christophe Fergeau <teuf@gnome.org>	2008-05-30

    * src/details.c:
    * src/display_coverart.c:
    * src/display_itdb.c:
    * src/display_photo.c:
    * src/file.c:
    * src/file_itunesdb.c:
    * src/misc_track.c: adjust to libgpod API changes (use
    itdb_track_has_thumbnail and itdb_track_get_thumbnail instead of using
    deprecated API and struct members)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1996 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Christophe Fergeau <teuf@gnome.org>	2008-05-30

    * src/details.c:
    * src/display_coverart.c:
    * src/display_itdb.c:
    * src/display_photo.c:
    * src/file.c:
    * src/file_itunesdb.c:
    * src/misc_track.c: adjust to libgpod API changes (use
    itdb_track_has_thumbnail and itdb_track_get_thumbnail instead of using
    deprecated API and struct members)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1995 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-05-29

    2008-05-29 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    
    Correction to fix.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1989 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-05-29

    2008-05-29 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    
    Fix for incorrect creation of jpg filenames
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1988 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-05-29

    2008-05-29 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photo.c
    
    Fix for pixbufs not being unreference in display_photo.c
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1987 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-24

    * src/file.c (video_thumbnail_setup_cache): fixed compiler warning
    and possible memory leak.
    
    * src/file.c (create_video_thumbnail): fixed possible memory leak.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1978 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-22

    * src/confirmation.c (gtkpod_confirmation): switch wrapping on for
    displayed text.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1974 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-22

    * src/mp3file.c (mp3_read_gapless):
    - added assertion for track->userdata
    - remove gapless data if file does not contain gapless data.
    
    * src/file_convert.c: read gapless data after conversion to MP3
    files.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1973 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-11

    * src/misc_playlist.c: don't allow adding of playlists if iPod is
    not loaded. Thanks to Andrea.
    
    * src/fileselection.c: use gtkpod_warning_simple() instead of
    error_dialog() -- reducing code. Thanks to Andrea.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1970 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-05-05

    * data/gtkpod.glade: added lost handler to "create new
    playlist". Thanks to Andrea.
    
    * src/display_photo.c: cosmetics.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1968 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-05-01

    Require libgpod >= 0.6.1
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1966 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-19

    * src/flacfile.c (flac_get_file_info): patch by Peter Pletcher
    supporting the DATE field (alternative source for YEAR),
    extended track and disc numbers ("n/m" format), as well as
    correction of an obvious type (CNDR -> CDNR). Thanks!
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1964 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-19

    * data/gtkpod.glade (prefs_dialog): get rid of "Only
    'activatable' widgets can be packed into the action area of
    a GtkDialog" warning. Changes layouts of buttons at the
    bottom of the window slightly ("Revert" is now centered
    instead of being grouped on the right together with the
    "Close" button).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1962 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-19

    * src/file_convert (conversion_convert_track): redirect stdout
    of conversion script to /dev/NULL.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1961 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-18

    * src/fileselection.c: add multiple directories patch by Alex
    Pounds. Fixes bug that limited adding of directories to one
    at a time.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1960 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-13

    * po/de.po: updated German translation. Thanks to Kai-Ove
    Pietsch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1959 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-13

    * src/display_photo.c (gphoto_is_photo_playlist,
    gphoto_ipod_supports_photos, gphoto_display_photo_window,
    debug_list_photos): prevent segfault if called with NULL
    argument.
    
    (gphoto_add_image_to_database,
    gphoto_add_image_to_iconview): sanity checks
    
    * context_menus.c (pm_context_menu_init): check for selected
    playlist before making further checks. Thanks to Alex
    Pounds.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1958 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-10

    * scripts/sync-tomboy.sh
    (Olivier Crete <tester at tester dot ca>):
    Strip all tomboy tags with the power of sed
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1957 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-04-09

    * src/file_convert.c (transfer_transfer_track): removed
    unnecessary g_mutex_unlock(). Thanks to Klaus Heinz.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1956 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-03-29

    Remove unused references to libgnomecanvas
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1954 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-03-29

    Handle the case where LEX is a path, from NetBSD via Klaus Heinz (fixes SF tracker #1920207)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1953 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-03-17

    2008-03-17 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photo.c
    * src/misc_input.c
    
    Fix for segfault in get_user_string function.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1951 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2008-01-26

    * src/mp4file.c
    * src/file.c: applied chapterdata patch by Michael Tiffany
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1935 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-13

    Patch by seanius for video thumbnail generation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1933 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-06

    More icon tweaks
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1925 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-06

    More icon sizes for the app icon
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1924 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-06

    Fixed various track view regressions
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1923 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-06

    Instant-apply new preferences, dropdown 'New Playlist' button
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1922 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2008-01-06

    2008-01-06 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/gtkpod.glade
    src/display_tracks.c
    src/display.c
    src/display.h
    
    Added a down arrow to end of search bar to hide if not wanted.
    On hide, an up arrow is displayed in the bottom right corner
    of the window.
    Preference stored to preserve decision between loadings.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1921 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-01-05

    ignore generated Makefiles
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1920 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Horizontal scrollbar and filter tab position prefs
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1919 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Fixed rating regression (with ITDB_RATING_STEP)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1918 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Fixed rating regression
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1917 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Graphical rating, filter tabs at bottom
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1916 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Graphical rating, filter tabs at bottom
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1915 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Killed horizontal scrollbar
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1914 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-05

    Fix resizing issue
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1913 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-04

    Quit confirmation enhancement
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1912 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-04

    Fixed radio button regression in sort_window
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1911 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-04

    More UI tweaks
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1910 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2008-01-03

    ignore generated Makefiles
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1909 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Find as you type
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1908 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Changelog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1907 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Larger playlist tree icons, re-added on_mserv_from_file_playlist_menu_activate
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1906 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Better handling of stock icons (with sizes)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1905 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Icon refresh
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1904 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-03

    Killed prefs_window
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1903 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-02

    Fixes by Daniele Forsi
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1902 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-02

    Redesigned confirmation window
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1901 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-02

    Fixes for some (not all) prefs regressions
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1900 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-02

    Revert button in preferences
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1897 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-01

    New info dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1896 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-01

    New info dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1895 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-01

    New info dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1894 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2008-01-01

    Input box improvements, libgpod version in about
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1893 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Repository dialog redesign
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1892 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Added missing file
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1891 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Shiny new icons
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1890 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-31

    Spelling mistake in Changelog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1889 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-31

    2007-12-30 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_coverart.h
    * src/display_coverart.c
    
    Visible scaled images are cached to improve performance. Only when
    they are no longer visible is the scaled version unreferenced. If the
    scaled version does not exist then a new scaled version is created as
    usual. Thus, when moving along the collection, only 1 image should
    be scaled when the drawing occurs rather than 9.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1888 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Performance improvement
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1887 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Performance improvement
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1886 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-31

    Coverart display text color preference, fixed text rendering regression
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1885 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-30

    2007-12-30 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/cdshine.png
    * data/Makefile.am
    
    png file removed as highlight now done programmatically with cairo.
    
    * data/gtkpod.glade
    
    GtkDrawingArea added to coverart preview dialog for use with cairo.
    
    * src/display_coverart.c
    * src/display_coverart.h
    
    Refactored functions to use cairo for rendering coverart images
    rather than libgnomecanvas.
    
    * src/display_playlists.c
    * src/display_sorttabs.c
    * src/prefsdlg.c
    
    References to some coverart functions updated.
    
    * src/display.c
    
    Generic function for display preview dialog refactored to use cairo
    rather than libgnomecanvas.
    
    * src/fetchcover.h
    * configure.in
    * INSTALL
    
    References to libgnomecanvas removed.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1884 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    ChangeLog and NEWS
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1883 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    More prettification, redesigned info window mockup
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1882 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    Additional dialog de-uglification
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1881 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    Added missing file
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1880 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    New prefs dialog landed
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1879 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    Comversion preferences
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1878 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    conversion settings
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1877 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    conversion settings
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1876 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-30

    Added missing data/man directory
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1875 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-30

    2007-12-30 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/gtkpod.glade
    
    Added the photo window toolbar back in. Seems it may have been lost by
    accident and it is required for some functions for the moment.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1874 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-29

    Added manpage from Debian
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1873 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-29

    Command preferences
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1872 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-29

    mserv preferences
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1871 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-29

    New cover art image, exclusion preferences
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1870 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-29

    Two more prefs dialogs
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1869 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-28

    More work on new prefs dialog, implemented encoding dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1868 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-28

    Sort window crash fix
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1867 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-27

    minor pref dialog correction
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1866 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-27

    2007-12-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/prefs_window.c
    
    Fixed potential memory leak in on_coverart_display_bg_color_set
    
    * data/gtkpod.glade
    * src/prefsdlg.c
    
    Support for change background colour added to new prefs dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1865 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-27

    2007-12-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/cdshine.png
    * data/cdshine_main.png
    * data/Makefile.am
    
    Removed reflection shadowing as this is done programmatically.
    No higlighting required on main image to png removed entirely.
    
    * gtkpod.glade
    
    Added colour selection button for CoverArt Display background colour.
    
    * src/display_coverart.c
    * src/display_coverart.h
    * prefs_window.c
    * prefs.c
    
    When a repository contains no tracks, the CoverArt Display background
    returns to a default colour of white.
    The default colour of a "live" CoverArt Display is black but can now be
    changed with a preference option available from the preferences window.
    To be added to the new preference dialog shortly.
    To achieve this and keeps a proper reflection, the reflection shadow is
    added programmatically using a gdkpixbuf created from data.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1864 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-27

    Big cygwin patch by Éric Lassauge
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1863 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-27

    stderr thing
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1862 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-27

    Updated dependencies in INSTALL
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1861 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-26

    prefs_dialog mostly working
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1860 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-23

    bump gtk+ requirement to 2.8.0 or newer
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1859 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-21

    'Important' toolbar buttons
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1858 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-21

    Implemented the first tab of the preferences dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1857 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-21

    Fixed ST_CAT_SPECIAL and sort_combo crashes
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1856 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-20

    fix GLib-GObject-WARNING **: IA__g_object_set_valist: object class `GnomeCanvasPixbuf' has no property named `\xd0\xc1\u0010\u0008\u0001'
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1855 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    Completed documentation import
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1854 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    Completed documentation import
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1853 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    GCC warning patch
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1852 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    Applied patch from gtkpod-devel
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1851 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    New preferences dialog mockup
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1850 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-20

    New preferences dialog mockup
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1849 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-19

    ChangeLog -> NEWS, ChangeLog_detailed -> ChangeLog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1848 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-19

    More message box HIGification
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1847 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-19

    Added missing files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1846 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-19

    Added text of the GFDL
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1845 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-19

    Support for documentation and online help
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1844 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-18

    Logged in ChangeLog_detailed
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1843 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-18

    HIG confirmation functions, converted one dialog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1842 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-18

    * configure.in:
    bump version for future development (0.99.13SVN)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1839 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-18

    bump version for 0.99.12 release
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1835 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-18

    update Hebrew translation (Assaf Gillat)
    update Romanian translation (Alex Eftimie)
    update Swedish translation (Stefan Asserhäll)
    minor ChangeLog updates
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1834 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-16

    * configure.in: added Russian translation.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1833 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-16

    Updated Russian translation, changelog
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1832 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Matvey Kozhev <sikon@users.sourceforge.net>	2007-12-15

    Added Russian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1831 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-14

    update translation templates
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1830 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-13

    2007-12-13 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * stock_icons.c
    
    Squashed some compiler warnings.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1829 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-13

    2007-12-13 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/context_menus.c
    src/display_photo.h
    src/display_photo.c
    
    Bug fixes made to photo window. Remove photo action disabled
    on thumbnail view context menu when no thumbs selected. The
    Remove album action was not removing an album unless the
    album contained photos. Thanks to Alex Eftimie for raising
    the bugs.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1827 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-13

    updated Italian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1826 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-13

    a string marked translatable in glade must be translated in code instead
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1825 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-13

    make some strings similar or identical to existing ones and add a missing variable for a %s directive
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1824 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-12

    some "label" placeholders where erroneously marked translatable
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1823 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-12-12

    update list of translators and fix some typos
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1822 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * src/display.c (display_adjust_menus)
    Disable 'Edit Smart Playlist' menu when no playlist is
    displayed. Thanks to Daniele Forsi.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1821 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * po/*.po
    po/gtkpod.pot: run 'make update-po'
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1820 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * scripts/Makefile.am: sorted files alphabetically for ease of
    checking.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1819 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * data/Makefile.am: added gtkpod-read-16.png
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1818 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * data/gtkpod.glade
    data/gtkpod-add-dirs.png (modified)
    data/gtkpod-logo.png (modified)
    data/menus-toolbars.diff (modified)
    data/gtkpod-add-files.png (modified)
    data/gtkpod-read-16.png (new)
    data/gtkpod-add-playlists.png (modified)
    data/gtkpod-read.png (modified)
    Usability patch by Sikon
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1817 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-12

    tell gettext/intltool to treat translation strings as utf-8
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1816 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-12

    * src/display_tracks.c (tm_create_treeview)
    src/display.c (display_create):
    moved initialisation of track view sorting to after the
    entire display is set up to avoid assertion errors.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1815 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-11

    * src/misc.h
    src/misc.c: use standard gtk_about_dialog(). Thanks to Sikon.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1814 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-12-11

    * src/mp3file.c(get_mp3_info): fix integer overlow in
    calculation of track length of very long tracks. Thanks to
    Dylan Hall.
    
    * src/file_convert.c(conversion_scheduler_unlocked,
    transfer_get_failed_tracks): attempt to fix the problem of
    non-transfered tracks. Unable to reproduce the problem
    myself so I have no way to say whether this is a fix or not.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1813 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-11

    update translation templates
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1812 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-11

    add some missing files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1811 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-11

    map ctrl-s to "Save Changes" instead of "Sorting Options"
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1810 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-10

    2007-12-09 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * Added updates since July to ChangeLog.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1808 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-12-09

    2007-12-09 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photos.c:
    
    When adding multiple images to photo collection, they are now
    added in alphabetical order by filename. Thansk to Andrew W.
    Nosenko for the patch.
    
    Improved doc comments around photo functions.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1807 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-12-07

    better Icon Theme Specification compliance
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1806 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-11-24

    * configure.in: raised required libgpod version to 0.6.0
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1800 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-11-23

    Fixes by Javier Kohen: "First, it escapes the mount point to allow
    white space in it. Second, it removes tags from the whole note
    contents so that links in the title don't end up in the file
    name. Last, but not least, colons are converted to hyphens, since
    the former are not valid characters in the FAT family of file
    systems, which the iPod uses."
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1799 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-11-17

    * src/display_spl.c:
    Renamed "Time" to "Track length" for better understanding.
    Fixed track length display (unit was seconds but msecs had to be
    entered. Furthermore, due to a bug in libgpod offline playlist
    generation assumed the track length was given in seconds whereas
    the live-update on the iPod assumed it was given in msecs. You
    need at least libgpod SVN version 1797 for this to work
    consistently. libgpod 0.6.0 does not contain the fix.
    
    src/display_photo.c:
    Squashed warning about pointer to integer conversion.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1798 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-14

    2007-11-14 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photos.c
    
    Fix for cancel button when removing a photo album.
    Photo image removal action display a proper question dialog
    as to whether the photo should be deleted from the database
    as well as removing the photo from the selected album.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1791 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-14

    2007-11-13 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/stock_icons.c: corrected new name of photo icon
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1781 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-13

    2007-11-13 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/tunes_playlist_icon-48.png: new icon for consideration
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1780 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-12

    2007-11-12 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/gtkpod.glade
    * src/prefs.c
    * src/prefs_window.c
    
    Preference added for controlling display of delete confirmation
    dialog in display_photo window for removal of a photo album.
    
    * src/display_photo.c
    * src/diaplay_photo.h
    
    Rename action added for renaming a photo album.
    Dialog altered in remove album function so that on clicking
    "Yes Do Not Display Again", the preference is set to stop the
    dialog displaying again.
    
    * src/context_menus.c
    
    Popup menuitem for photo album rename action.
    
    * data/gphoto_playlist_icon-48.png
    * data/tunes_playlist_icon-48.png
    * data/Makefile.am
    * src/stock_icons.c
    * src/stock_icons.h
    * src/Makefile.am
    * src/misc.c
    
    Stock icons created from image files for use as playlist icons.
    stockid_init() is called from misc.c upon loading of application.
    This finds the correct paths of the specified icon images and loads
    pixbufs of them. These are then added to the default stock factory.
    Stock ids of these images can then be used throughout the application.
    
    * src/display_playlists.c
    
    Uses the new stock ids for the playlist icons.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1776 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-08

    2007-11-07 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/gphoto*.png
    * data/Makefile.am
    
    New icons for menu items in photo window.
    
    * data/gtkpod.glade
    
    Components of photo window changed around to make more sense from
    a user perspective.
    
    * src/display.c
    * src/display.h
    
    Generic display_image_dialog function added for displaying a bare
    transient dialog with only the required pixbuf image in it. Used
    for coverart display and photo window.
    
    * src/display_photo.c
    
    View full size action added to menus.
    Rename selected album added to menus.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1766 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-08

    2007-11-07 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * data/gphoto*.png
    * data/Makefile.am
    
    New icons for menu items in photo window.
    
    * data/gtkpod.glade
    
    Components of photo window changed around to make more sense from
    a user perspective.
    
    * src/display.c
    * src/display.h
    
    Generic display_image_dialog function added for displaying a bare
    transient dialog with only the required pixbuf image in it. Used
    for coverart display and photo window.
    
    * src/display_photo.c
    
    View full size action added to menus.
    Rename selected album added to menus.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1765 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-11-05

    * src/display_playlists.c (pm_set_renderer_pix): display a different
    icon for the photo playlist. Customized icons welcome for both
    standard playlists and the photo "playlist".
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1758 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-05

    2007-11-04 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photos.c
    
    New ipods do not necessarily have ITDB_THUMB_PHOTO_LARGE or any
    other photo format so cannot assume these in display of thumbs in
    iconview or preview components.
    
    Fix is to find the first existing smalled thumb in the case of the
    iconview and biggest in the case of preview and scale the pixbufs
    to uniform sizes.
    
    Also, fix to clear the preview when a data change like remove occurs.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1757 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-05

    2007-11-04 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    
    Opened up filename handling functions to rest of gtkpod.
    Reduced number of functions hidden if curl is not available.
    Fetch_Cover object used as vehicle for handling the filename
    even if image is not being downloaded.
    
    * src/fetchcover.h: parent_window added to Fetch_Cover object.
    
    * src/display.h
    
    Support for IMAGE_JPEG target type.
    
    * src/details.c
    * src/display_coverart.c
    
    Support for image/jpeg target in drag and drop operations on
    cover art. This target is provided by konqueror (not by firefox
    at the moment but supposedly at some point) and carries the
    displayed jpeg image as its data so redownloading is not required.
    
    Downloading option used as fallback if this target is not provided.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1756 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-05

    2007-11-04 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    
    Opened up filename handling functions to rest of gtkpod.
    Reduced number of functions hidden if curl is not available.
    Fetch_Cover object used as vehicle for handling the filename
    even if image is not being downloaded.
    
    * src/fetchcover.h: parent_window added to Fetch_Cover object.
    
    * src/display.h
    
    Support for IMAGE_JPEG target type.
    
    * src/details.c
    * src/display_coverart.c
    
    Support for image/jpeg target in drag and drop operations on
    cover art. This target is provided by konqueror (not by firefox
    at the moment but supposedly at some point) and carries the
    displayed jpeg image as its data so redownloading is not required.
    
    Downloading option used as fallback if this target is not provided.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1755 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-03

    2007-11-03 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_coverart.c
    
    Fixed bug in display coverart. Irregular sized album images were
    being scaled to the default sizes.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1752 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-01

    2007-11-01 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * README
    
    Updated README with some instructions on using the photo window.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1751 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-11-01

    2007-10-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_photo.c
    * src/display_photo.h
    
    Photo support added to gtkpod.
    
    * data/gtkpod.glade: photo window gui components added.
    
    * src/context_menus.c
    * src/context_menus.h
    
    Disable right-click menu if Photo "playlist" is selected.
    Add context menus to album and icon views in Photo window.
    
    * src/display_itdb.h
    
    Photo database and photodb data changed flag added to Extra iTunes
    db data structure
    
    * src/display_playlists.c
    
    Photo playlist added to playlist tree if ipod has a photo db or
    a new one is created photos are supported.
    
    * src/display_private.h
    * src/display_sorttabs.c
    
    Getter and Setter added for control of the selected sorttabs. Allows
    sorttabs to be returned to their status prior to the photo window
    being opened.
    
    * src/file_itunesdb.c: support for loading of ipod photo database.
    * src/itdb.h: typedefs for photo database.
    * src/Makefile.am: compile photo source files.
    
    * src/misc.c
    * src/misc.h
    
    Parse artwork from string function. Used in photo DnD operations.
    
    * fetchcover.c: removal of fetchcover_cleanup as no longer needed.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1750 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-10-27

    * configure.in
    src/mp4file.c: recognize if additional argument is needed for
    MP4GetMetadataFreeForm() and MP4GetMetadataCoverArt(). Thanks to
    Felix Homann.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1740 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-10-27

    * src/fetchcover.c (fetchcover_cleanup): function only used if curl
    is available -- avoid compilation warning
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1739 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-10-27

    2007-10-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_coverart.c
    * data/gtkpod.glade
    
    Improved the preview fullsize artwork dialog. Now scales the
    image to respect the size of the desktop, while displaying
    the true resolution in a label below it. Preview dialog now
    constructed in glade file rather than from scratch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1738 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-10-25

    2007-10-25 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * TODOandBUGS.txt
    
    Removed outdated coverart tasks that are now complete.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1737 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-10-21

    2007-10-21 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    * src/fetchcover.h
    
    Changed purpose of fetchcover. It no longer displays a
    dialog window for dealing with covers. Instead it
    provides the internal curl retrieve functions only.
    
    * src/context_menus.c
    
    Removed fetchcover context menu entries as no longer
    required.
    
    * src/details.c
    
    Added drag and drop receive function to thumbnail cover
    image. Drag a jpg file displayed in firefox or konqueror
    onto the cover artwork thumbnail in the Edit Details
    window to download it and set it as the track's artwork.
    
    * src/display_coverart.c
    * src/display_coverart.h
    
    Added drag and drop receive function to main image on
    coverart display. Drag a jpg file displayed in firefox or
    konqueror onto the main image to set it as the coverart
    for the album's tracks.
    
    * data/gtkpod.glade
    
    Removed fetchcover dialog from the glade file.
    
    * README
    
    Updated drag and drop section to include information about
    dnd'ing jpgs onto coverart display and Edit Details dialog.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1731 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Michael Tiffany <tiffman@users.sourceforge.net>	2007-10-08

    patch to set "changed" and "imported" to TRUE for non-ipod (local
    and podcast) databases
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1723 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-10-03

    * scripts/convert-2mp3.sh: fix handling of genre option
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1716 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-10-03

    * src/details.c
    data/gtkpod.glade: fixed issues with details window:
    1) window is shown before resize, which gives an annoying
    flickering
    2) if Misc is the selected panel, the it is not restored
    next time
    Thanks to Mario Rossi.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1715 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-09-30

    remove duplicate comment tag (silences a compiler warning)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1710 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-09-30

    add --with/--without options to configure for curl, flac, libmp4v2, and ogg vorbis dependencies.
    
    separate pkg-config calls so that the configure output is more informative when one of the required deps is missing.
    
    minor cosmetic cleanups.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1709 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-09-15

    fix references to m4a in Makefile.am and comments
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1694 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-09-15

    * scripts/ removed previous
    convert-{flac|ogg|mp3|m4a|wav}2{mp3|m4a} scripts and
    replaced with convert-2{mp3|m4a} drafted by Peter van der
    Does. These scripts share gtkpod-convert-common.sh.
    
    scripts/Makefile.am: added/removed the files mentioned above.
    
    * src/prefs.c: automatically replace prefs settings to use the
    new generic conversion scripts.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1693 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-09-15

    * src/file_itunesdb.c (gp_load_ipod): make sure the ipod model
    number is known and written to the iPod before loading the
    iTunesDB. If the model number is not known at the time of
    loading the iTunesDB, libgpod will not read the ArtworkDB,
    thereby losing all artwork.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1692 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-09-02

    fixed a typo, spotted by Peter van der Does
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1689 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-08-26

    2007-08-26 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c
    * src/fetchcover.h
    * src/display_coverart.c
    * src/details.c
    * src/context_menus.c
    * gtkpod.glade
    
    Commented out fetchcover due to licensing problems. Wiil re-enable
    once a new approach has been fully considered.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1687 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-25

    * src/misc_track.c (gp_track_by_filename): stop iteration when
    result is found. Thanks to Clarke Brunsdon for bringing this
    to my attention.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1686 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-18

    * src/tools.c (tools_sync_script): make sure the stderr of
    scripts is displayed as well.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1684 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-18

    * src/file_itunesdb.c (set_progressbar): only update window if
    a change occured.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1683 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-18

    * src/autodetection.c (ad_timeout_cb): avoid crash when
    iTunesDB could not be read successfully.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1681 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-09

    * src/file_convert.c (conversion_log_append): don't append
    character by character as this takes up too much CPU
    time. Thanks to Javier Kohen for the patch.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1677 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-08-08

    Convert the Track Attributes preference from a series of checkboxes to an Available and Displayed list.  Jorg did a bit of cleanup and added many nice features.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1676 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-06

    * flacfile.c: include "mp3file.h" to avoid compile time
    warning.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1671 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-08-03

    2007-08-03 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_coverart.h: added DEFAULT_IMG_SIZE
    * src/display_coverart.c: improvements to image dimension setting
    algorithms for both x and y. Using ITDB_THUMB_COVER_LARGE for
    the preferred image means the coverart can be too big in the
    coverart display window. Thus, introduces a default maximum and
    algorithm to set it.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1668 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-08-02

    add fetchcover_dialog_test
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1667 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-08-01

    Added ".ext file handling" to TODO list.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1666 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-07-31

    update the dependency list
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1665 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-07-30

    2007-07-30 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/fetchcover.c: improved return status of net_retrieve_image function
    so that if one image fails to be retrieved then the dialog does not have
    to be cancelled.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1659 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Michael Tiffany <tiffman@users.sourceforge.net>	2007-07-27

    Merge gapless_playback_branch back to HEAD
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1655 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-07-23

    2007-07-23 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/details.c: set tartwork_changed flag to TRUE rather than relying on
    using force_update_cover function. Former picked up by pm_track_changed()
    
    * src/display_coverart.c: coverart_track_change responds to track changes
    and redisplays covers if tartwork_changed flag has been set.
    
    * src/display_playlists.c: KEY_DISPLAY_COVERART pref test removed from
    pm_track_changed and placed inside coverart_track_changed instead.
    
    * file.c: update_track_from_file function updates calls for redisplay of the
    coverart regardless of any file data changes to ensure that any coverart
    changes do not go unnoticed.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1654 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Michael Tiffany <tiffman@users.sourceforge.net>	2007-07-15

    Wasn't properly closing files in mp3_get_track_lame_gapless().
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1649 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-07-14

    * src/mp3file.[ch]: moved reading of default tags to
    id3_read_tags()
    
    * src/flacfile.c: fallback on ID3 tags if no vorbis comments
    are available.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1646 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-07-14

    * src/display_tracks.c (tm_cell_toggled): removed "default"
    case to make sure newly added fields are not forgotten.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1645 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-07-14

    * src/display_tracks.c (tm_set_search_column,
    tm_search_equal_func): add newly added fields (bugfix).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1644 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-07-13

    2007-07-13 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/display_coverart.c
    src/display_coverart.h
    src/fetchcover.c
    Added parameter to coverart_get_track_thumb so that the default
    cover image can be provided with a default size if required.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1639 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-07-13

    * src/display_tracks.c (tm_cell_edited, tm_cell_compare): add
    newly added fields (bugfix, thanks to Michael Tiffany)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1638 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-07-12

    * configure.in
    po/ro.po: added Romanian translation, thanks to Alex Eftimie.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1635 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-07-11

    try harder to find evolution-addressbook-export (thanks to Götz Waschk)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1630 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-07-05

    move name to the right place
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1626 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-07-05

    add missing string replacement
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1625 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-07-04

    2007-06-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * src/details.c: tartwork_changed flag defined when a new
    artwork file is selected from the filesystem.
    
    * src/fetchcover.c: tartwork_changed flag added for all
    occurrences of artwork being changed.
    
    * src/display_coverart.c: reworking of the code to fix the
    sizes of the covers according to the ipod thumbnail size.
    When the pane is expanded, the coverart display's spacing
    is widened rather than the individual covers being
    stretched.
    Instead of the highlights, reflections and covers images
    being redrawn as black when null, the containing items
    are hidden. They are redisplayed when a new cover image
    is required.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1621 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-07-04

    updated French translation (thanks to Eric Lassauge)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1620 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-07-04

    fix compile with --as-needed (thanks to Santiago M. Mola)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1618 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-29

    Corrected date in ChangeLog entry
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1611 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-29

    * src/Makefile.am: remove EJECT_BIN line as it is no longer
    used (thanks to Gabriel C).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1610 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-29

    * src/details.c (details_setup_widget): fixed memory leak
    (thanks to Daniele).
    
    * src/display_coverart.c (coverart_set_images): fixed memory
    leak (thanks to Daniele).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1609 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-27

    2007-06-27 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * gtkpod.glade:
    Changed fetchcover dialog's buttons to display icons only.
    
    * fetchcover.c:
    Added in gettext macros for status messages.
    Disabled next button if net_retrieve fails to get any images
    from the downloaded xml file (Thanks Daniele).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1607 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    add src/autodetection.c to POTFILES.in and update po files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1606 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    bump version for 0.99.11SVN new development
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1605 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    bump version to 0.99.10
    note Michael's work on gapless playback
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1603 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    bump version for 0.99.10 release
    look for MP4GetMetadataGrouping in libmp4v2 check
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1602 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    give credit where credit is due
    add Id keyword (Daniele)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1601 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-27

    add/update copyright headers (Daniele)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1600 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-26

    update Italian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1599 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-26

    update license text from http://www.gnu.org/licenses/gpl.txt
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1598 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-26

    fix typos in comments
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1597 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-26

    fix typos in comments
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1596 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-26

    use similar strings in similar contexts
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1595 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-26

    fix some incorrect indentation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1594 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-26

    remove generic copyright header.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1593 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-26

    preliminary support for parsing gapless playback data from mp3 files.  Thanks to Michael Tiffany.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1591 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-25

    2007-06-25 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_itdb.h: added tartwork_changed flag to ExtraTrackData
    
    * details.c: initialise tartwork_changed flag to FALSE. Use this
    flag in details_copy_artwork as additional check if artwork
    has changed. Removal of all tilda related cruff.
    
    * fetchcover.c: removal of tilda related cruff with use of the
    tartwork_changed flag from ExtraTrackData. Set Prev Button
    initially to hidden until images from the net are retrieved.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1590 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-25

    * src/display_playlists.c (pm_drag_motion): don't allow drops
    into non-loaded repositories. (pm_create_treeview): don't
    use GTK_DEFAULT_MOTION as this gives optical feedback that
    drops into the column header is allowed, even though it is
    not.
    
    * src/display_sorttabs.c (st_create_listview): renamed to
    st_create_treeview(), simplified and merged with parts of
    st_create_page which did part of creating the treeview. This
    is the point when I realize that DND into the sort tabs is
    not supported and I don't have to do anything. Code is
    easier to read and understand now.
    
    * src/display_tracks.c (tm_drag_motion): don't allow drops
    into non-loaded repositories.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1589 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-24

    * src/misc_input.c: removed calls to dirbrowser_block() and
    dirbrowser_release() (obsolete because dirbrowser became
    modal)
    
    * src/fileselection.c
    src/fileselection.h
    data/gtkpod.glade: (adding of tracks, directories and
    playlist files): do not allow adding of tracks if no
    playlist is selected or if the iPod is not loaded into the
    selected repository. Better names for file chooser
    directories, dirbrowser modal, separate functions for glade
    callback.
    
    * src/file.c (copy_new_info): removed unused variables.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1588 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-23

    fix typo: s/Danielle/Daniele/
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1587 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-23

    * src/file.c (copy_new_info): further simplification by using
    track_copy_item() instead of duplicating code.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1586 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-23

    * src/deatils.c (details_button_apply_clicked): write tags
    back to file if option is selected. Change modification time
    of changed tracks.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1585 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-23

    require libgpod >= 0.5.2
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1584 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-23

    * src/display_coverart.c (coverart_get_track_thumb): retrieve
    thumbnail through libgpod and not from thumbnail filenames
    because these are not always set.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1579 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-23

    * src/misc_conversion.c: corrected tooltip for BPM (thanks to
    Danielle Forsi).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1578 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-23

    * src/file_convert.c: fixed typo (thankse to Danielle Forsi).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1577 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-22

    remove duplicate header comments
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1576 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-22

    src/mp4file.c: fixed charset issue when writing grouping metadata.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1575 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-22

    * src/mp3file.c:
    added reading/writing of tags for sort artist, sort album,
    sort title, sort albumartist and sort composer.
    
    * src/mp4file.c:
    
    Added reading/writing of the grouping tag, whatever that
    is.
    
    The sort tags are written by iTunes as fields of the
    iTunes_CDDB_IDs tag which I don't seem to be able to access
    (only the first field seems available without hacking). For
    reference: the field names are soar (artist), sonm (title),
    soal (album), soaa (album artist), soco (composer) and sosn
    (show).
    
    Added reading of coverart tag. Displayed by the iPod but not
    by the coverart display. Properly displayed in the details
    window.
    
    * src/file.c (copy_new_info): use switch() to avoid missing
    copying new items (like the sort keys).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1574 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-22

    note the new .desktop file installation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1573 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-22

    disable debug output for release
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1572 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-22

    add/update keyboard mnemonics in the Details and Download Cover windows to avoid missing/duplicated mnemonics
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1571 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-21

    * src/display.h
    src/misc_conversion.c
    src/display_itdb.c
    src/display_tracks.c
    src/misc_track.c
    src/details.c
    data/gtkpod.glade:
    added support for new text fields supported by libgpod
    0.5.0: album artist, sort artist, sort title, sort album,
    sort albumartist, sort_composer, sort_tvshow.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1570 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-21

    * src/file_convert.c (transfer_transfer_track): add newline to
    libgpod error messages. Thanks to Daniele Forsi.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1569 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-20

    2007-06-20 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * details.c - details_copy_artwork
    Reintroduced if clause on whether to copy the artwork. If
    image file has been set by fetchcover then a tilde is appended
    to the filename. This method removes the tilde, renames the
    file and copies the artwork with the proper filename.
    
    * fetchcover.c
    Introduced flag USE_TILDA that is true when Details window calls
    fetchcover and false for when display coverart calls it. Tilda
    symbol added to end of filename if USE_TILDA set to true.
    Added references to dialog parents to properly control which
    windows can receive focus while dialogs are displayed.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1568 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-20

    * data/gtkpod.glade
    src/prefs_window.c: automatically create the checkboxes for
    the visible columns selection, greatly simplifying additions.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1567 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-20

    fix a segfault when the coverart display is minimized and set_covers is called
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1566 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-20

    disable debug output for release
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1565 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-19

    * src/ipod_init.c (gp_ipod_init_set_model): avoid segfault if
    iPod model cannot be selected (possibly GTK+ or glade version
    incompatibility?).
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1564 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-19

    * src/file.c: set mediatype to 'audiobook' for .mb4 files.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1563 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-19

    * src/file_itunesdb.c: Todd's patch to display the repository
    name while writing to the iPod.
    
    * data/gtkpod.glade: Todd's patch to substitute custom button
    with stock button in the export dialog.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1562 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-18

    2007-06-17 P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    Bug fixes spotted by Daniele Forsi.
    
    Change in coverart not made to coverart display when apply button
    clicked on Details window.
    Fetchcover behaved awkwardly with naming the downloaded image files if
    the tracks concerned lacked album info in their ID3 tags.
    Coverart files from fetchcover subject to template values in the prefs.
    Should always be a default value of folder.jpg if none of the templates
    provide a non-null value.
    
    * details.c:
    details_copy_artwork() has to now always recopy the artwork
    from file. The reason being, fetchcover overwrites the artwork hence
    the file name will still be the same while different artwork.
    
    * display_coverart.h
    display_coverart.c:
    set_covers() and set_cover_item() now has a
    parameter to force an update of the cover images from file. Only used
    by details_copy_artwork() when the apply button is clicked on the
    details window.
    
    * fetchcover.c:
    dialog will now appear if a cover image file already exists in the
    tracks directory. Gives the options to overwrite, save as unique name
    or cancel completely.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1561 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-18

    * src/misc.h
    src/details.c
    src/misc.c
    data/gtkpod.glade: moved mediatype combobox handling in edit
    details window completely inside details.c for easier
    maintenance.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1558 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-17

    README: left/right issue
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1555 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-17

    * src/mp4file.c
    src/mp3file.c: read/write tempo (BPM) value from/to tags.
    
    src/flacfile.c
    src/oggfile.c: read tempo (BPM) value from tags (not sure
    if this is correct)
    
    src/file.c (copy_new_info): copy BPM after having read it.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1553 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-17

    * README: some changes initiated by Daniele Forsi.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1551 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-17

    * src/info.c (gtkpod_statusbar_message): fixed memory leak --
    thanks to Daniele Forsi.
    
    * src/display_sorttabs.c (st_create_special): fixed memory
    leak.
    
    * src/prefs.c (init_prefs): fixed memory leak.
    
    * src/syncdir.c (sync_playlist): fixed memory leak.
    
    * src/display_coverart.c (coverart_block_change): fixed memory
    leak.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1550 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-14

    * po/es.po: new version updated by Alejandro Lamas Daviña.
    
    make update-po
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1548 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-06-13

    * src/prefs.c (read_prefs_get_key_value): don't strip
    whitespace from prefs values. This is none of this
    function's business! (Thanks to Todd for tracking this down)
    
    * src/display_sorttabs.c (st_create_notebook): set up compare
    function so that the ignore strings work right after startup.
    (Thanks to Todd for tracking this down)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1546 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    ignore intltool cache and stamp-it files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1544 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    ignore intltool files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1543 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    ignore automake files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1542 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    ignore .desktop files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1541 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    rename gtkpod-icon-64x64.png to icons/64x64/gtkpod.png
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1540 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    rename gtkpod-icon-48x48.png to icons/48x48/gtkpod.png
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1539 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    rename gtkpod-icon-32x32.png to icons/32x32/gtkpod.png
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1538 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    rename gtkpod-icon-32x32-2.png to gtkpod-icon-32-2.png
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1537 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    Add a .desktop file and reorganize the icons.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1536 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    ignore automake files
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1535 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    Fixup 'make distcheck' and add some files missing for i18n.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1534 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    mv gtkpod.gladep to data dir
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1533 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    mv gtkpod.glade to data dir
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1532 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-09

    rename pixmaps to data
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1531 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-08

    hide Last.FM tab (déjà vu)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1530 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-07

    minor formatting changes
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1529 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-05

    2007-06-05  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * fetchcover.*
    
    Add license headers to source files.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1526 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-05

    2007-06-05  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_coverart.c
    
    Fixed free_CDWidget() function which tried to free visible
    albums twice. Also click hide button on coverart display once
    again hides the slider and navigation buttons. Thanks to Todd
    for the spot.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1525 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-03

    rename INSTALL_CVS to INSTALL_SVN
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1523 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-06-03

    update a few more CVS references for Subversion
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1522 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-02

    updated Italian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1519 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Daniele Forsi <dforsi@users.sourceforge.net>	2007-06-02

    update Italian translation
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1518 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-06-01

    2007-06-01  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_coverart.c
    
    Added callback on display_coverart content panel for acting
    on scroll events with the mouse wheel. Result is that moving
    the scroll wheel while the mouse is over the coverart display
    will scroll the covers in the respective direction.
    
    Avoided possible null pointer in track_changed function.
    Thanks to Daniele Forsi for raising it. May need further work
    if this does not solve it.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1516 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-05-31

    * scripts/sync-tomboy.sh
    scripts/sync-notes.sh: fixes by Oliver Sherouse
    
    * scripts/sync-abook.sh
    scripts/sync-webcalendar.sh:
    set more reasonable default path.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1513 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-05-31

    * src/autodetection.c: fix non-responsive buttons introduced
    with automounting.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1512 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-05-30

    2007-05-30  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_coverart.c
    
    Changed the on_main_cover_image_clicked so that only the
    tracks belonging to the album are displayed in the track
    listing. The sorttabs are no longer updated. A lot
    quicker and doesnt rely on the artist/album sorttabs
    being visible.
    
    * fetchcover.c
    
    Status bar content changes in case album is not found.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1511 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-05-30

    change CVS references and links to SVN
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1509 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-05-17

    2007-05-17  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_coverart.c
    
    Completely forgot compile time errors for
    g_hash_table_remove_all so removed glib_version call to ensure
    back compilation compatibility.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1077 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Todd Zullinger <tmzullinger@users.sourceforge.net>	2007-05-17

    Fixed a few typos. (Daniele Forsi)
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1076 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-05-16

    2007-05-16  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * display_coverart.c
    
    Null checks placed in free_album.
    g_hash_table_remove_all only used if running GLib version is
    newer than 2.12.0.
    Otherwise falls back on g_hash_table_foreach_remove.
    Thanks to Mario Rossi for squashing these bugs.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1075 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-05-16

    * gtkpod.glade: corrected spelling of 'separated' and
    'iPod'. Thanks to Daniele Forsi.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1074 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-05-16

    * src/display_itdb.c (gp_playlist_remove_track): podcasts
    could not be removed from the iPod.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1073 f01d2545-417e-4e96-918e-98f8d0dbbcb6

Jorg Schuler <jcsjcs@users.sourceforge.net>	2007-05-16

    * scripts/convert-flac2mp3.sh
    scripts/convert-ogg2mp3.sh
    scripts/convert-wav2mp3.sh:
    Added quotes around $genreopts to make script more
    robust. Thanks to Andy.
    
    git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/gtkpod/trunk@1072 f01d2545-417e-4e96-918e-98f8d0dbbcb6

P.G. Richardson <phantom_sf@users.sourceforge.net>	2007-05-13

    2007-05-13  P.G. Richardson <phantom_sf at users.sourceforge.net>
    
    * context_menus.c
    
    Fixed segfault in cad_context_menu_init() to avoid freeing
    tracks unnecessarily.
    
    * display_playlist.c
    
    Coverart display will only be updated with a track change,
